diff --git a/changelog b/changelog
index 9398dcc..056933f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20080901 tpd src/input/Makefile add start of multivar poly tests
+20080901 tpd src/input/bini.input add start of multivar poly tests
 20080831 tpd src/algebra/algfact.spad graphviz dotfile decoration
 20080831 tpd src/algebra/algext.spad graphviz dotfile decoration
 20080830 tpd src/algebra/trigcat.spad graphviz dotfile decoration
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 8bc5aa4..93c2ee7 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -275,7 +275,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     arrows.regress    asinatan.regress asinhatanh.regress \
     assign.regress    atansqrt.regress \
     asec.regress      bags.regress     bbtree.regress   besselk.regress \
-    binary.regress    biquat.regress \
+    binary.regress    bini.regress     biquat.regress \
     bop.regress       bstree.regress   bouquet.regress \
     bug100.regress    bug101.regress \
     bug103.regress    bug10069.regress \
@@ -520,8 +520,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/asec.input \
        ${OUT}/bags.input     ${OUT}/bbtree.input     ${OUT}/besselk.input \
        ${OUT}/bern.input \
-       ${OUT}/bernpoly.input ${OUT}/binary.input     ${OUT}/biquat.input \
-       ${OUT}/bop.input \
+       ${OUT}/bernpoly.input ${OUT}/binary.input     ${OUT}/bini.input \
+       ${OUT}/biquat.input   ${OUT}/bop.input \
        ${OUT}/bouquet.input  ${OUT}/bstree.input     ${OUT}/bug6357.input \
        ${OUT}/bug9057.input  ${OUT}/bug100.input     ${OUT}/bug101.input \
        ${OUT}/bug103.input \
@@ -729,7 +729,7 @@ DOCFILES= \
   ${DOC}/bbtree.input.dvi      ${DOC}/besselk.input.dvi    \
   ${DOC}/bern.input.dvi       \
   ${DOC}/bernpoly.input.dvi    ${DOC}/binary.input.dvi     \
-  ${DOC}/biquat.input.dvi \
+  ${DOC}/bini.input.dvi        ${DOC}/biquat.input.dvi \
   ${DOC}/bop.input.dvi         ${DOC}/bouquet.input.dvi    \
   ${DOC}/bstree.input.dvi      ${DOC}/bug10069.input.dvi   \
   ${DOC}/bug100.input.dvi      ${DOC}/bug101.input.dvi     \
diff --git a/src/input/bini.input.pamphlet b/src/input/bini.input.pamphlet
new file mode 100644
index 0000000..eac6e13
--- /dev/null
+++ b/src/input/bini.input.pamphlet
@@ -0,0 +1,2922 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input bini.input}
+\author{D. Bini and B. Mourrain}
+\maketitle
+\begin{abstract}
+The POSSO multivariate polynomial test suite.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool bini.output
+)set message test on
+)set message type off
+)set message auto off
+)clear all
+
+@
+Bini and Mourrain define a hierarchy of classes for polynomial solutions:
+\begin{verbatim}
+  1 Complete_Intersection
+    1 Bezoutian_Matrix
+      1 Table_of_Multiplication
+        1 RUR
+          1 Uspensky
+            1 Real_Solve
+            2 Count_the_real_solutions
+          2 Uni_Solve
+            1 Solve
+        2 Hermite
+          1 Real_Solve
+          2 Count_the_real_solutions
+        3 Eigenvector
+          1 Solve
+          2 Real_Solve
+      2 Residue
+        1 Table_of_Multiplication
+          1 RUR
+            1 Uspensky
+              1 Real_Solve
+              2 Count_the_real_solutions
+            2 Uni_Solve
+              1 Solve
+          2 Hermite
+            1 Real_Solve
+            2 Count_the_real_solutions
+          3 Eigenvector
+            1 Solve
+            2 Real_Solve
+        2 Hermite
+          1 Real_Solve
+          2 Count_the_real_solutions
+      3 RUR
+        1 Uspensky
+          1 Real_Solve
+          2 Count_the_real_solutions
+        2 Uni_Solve
+          1 Solve
+      4 Elimination_of_variables
+        1 Uspensky
+          1 Real_Solve
+          2 Count_the_real_solutions
+        2 Uni_Solve
+          1 Solve
+  2 General_System
+    1 Grobner
+      1 Table_of_Multiplication
+        1 RUR
+          1 Uspensky
+            1 Real_Solve
+            2 Count_the_real_solutions
+          2 Uni_Solve
+            1 Solve
+        2 Hermite
+          1 Real_Solve
+          2 Count_the_real_solutions
+        3 Eigenvector
+          1 Solve
+          2 Real_Solve
+      2 Elimination_of_variables
+        1 Uspensky
+          1 Real_Solve
+          2 Count_the_real_solutions
+        2 Uni_Solve
+          1 Solve
+      3 Count_the_solutions
+  3 Generic_Complete_Intersection
+    1 Resultant_Matrix
+      1 Table_of_Multiplication
+        1 RUR
+          1 Uspensky
+            1 Real_Solve
+            2 Count_the_real_solutions
+          2 Uni_Solve
+            1 Solve
+        2 Hermite
+          1 Real_Solve
+          2 Count_the_real_solutions
+        3 Eigenvector
+          1 Solve
+          2 Real_Solve
+      2 Elimination_of_variables
+        1 Uspensky
+          1 Real_Solve
+          2 Count_the_real_solutions
+        2 Uni_Solve
+          1 Solve
+    2 Mix_Volume
+        1 Count_the_solutions
+\end{verbatim}
+
+\section{Bronstein2}
+Paramaters $a,b$ and variables  $x,y$)
+<<*>>=
+)clear all
+
+--S 1
+t1:=2*y^2*(y^2+x^2)+(b^2-3*a^2)*y^2-2*b*y^2*(x+y)+2*a^2*b*(y+x)_
+    -a^2*x^2+a^2*(a^2-b^2)
+--R 
+--R
+--R   (1)
+--R     4       3      2           2     2  2     2       2 2     2       2 2    4
+--R   2y  - 2b y  + (2x  - 2b x + b  - 3a )y  + 2a b y - a x  + 2a b x - a b  + a
+--E 1
+
+--S 2
+t2:=4*y^3+4*y*(y^2+x^2)-2*b*y^2-4*b*y*(y+x)+2*(b^2-3*a^2)*y+2*a^2*b
+--R 
+--R
+--R          3       2      2            2     2       2
+--R   (2)  8y  - 6b y  + (4x  - 4b x + 2b  - 6a )y + 2a b
+--E 2
+
+--S 3
+t3:=4*x*y^2-2*b*y^2-2*a^2*x+2*a^2*b
+--R 
+--R
+--R                  2     2      2
+--R   (3)  (4x - 2b)y  - 2a x + 2a b
+--E 3
+
+@
+\section{CzaporGeddes1}
+Variables $x,y,z$
+<<*>>=
+)clear all
+
+--S 4
+t1:=8*x^2-2*x*y-6*x*z+3*x+3*y^2-7*y*z+10*y+10*z^2-8*z-4
+--R 
+--R
+--R           2                        2                    2
+--R   (1)  10z  + (- 7y - 6x - 8)z + 3y  + (- 2x + 10)y + 8x  + 3x - 4
+--E 4
+
+--S 5
+t2:=10*x^2-2*x*y+6*x*z-6*x+9*y^2-y*z-4*y-2*z^2+5*z-9
+--R 
+--R
+--R            2                       2                    2
+--R   (2)  - 2z  + (- y + 6x + 5)z + 9y  + (- 2x - 4)y + 10x  - 6x - 9
+--E 5
+
+--S 6
+t3:=5*x^2+8*x*y+4*x*z+8*x+9*y^2-6*y*z+2*y-z^2-7*x+5
+--R 
+--R
+--R           2                    2                 2
+--R   (3)  - z  + (- 6y + 4x)z + 9y  + (8x + 2)y + 5x  + x + 5
+--E 6
+
+@
+\section{CzaporGeddes2} 
+Parameter $b$ and variables $c,d,p,q$
+<<*>>=
+
+)clear all
+--S 7
+t1:=2*(b-1)^2 + 2*(q-p*q+p^2) + c^2*(q-1)^2 -2*b*q + 2*c*d*(1-q)*(q-p)_
+    +2*b*p*q*d*(d-c) + b^2*d^2*(1-2*p) + 2*b*d^2*(p-q) + 2*b*d*c*(p-1)_
+    +2*b*p*q*(c+1) + (b^2 - 2*b)*p^2*d^2 + 2*b^2*p^2 + 4*b*(1-b)*p_
+    + d^2*(p-1)^2
+--R 
+--R
+--R   (1)
+--R                2  2
+--R     (- 2c d + c )q
+--R   + 
+--R           2                                         2            2
+--R     ((2b d  + (- 2b + 2)c d + 2b c + 2b - 2)p - 2b d  + 2c d - 2c  - 2b + 2)q
+--R   + 
+--R        2           2     2      2
+--R     ((b  - 2b + 1)d  + 2b  + 2)p
+--R   + 
+--R           2           2                   2            2      2             2
+--R     ((- 2b  + 2b - 2)d  + (2b - 2)c d - 4b  + 4b)p + (b  + 1)d  - 2b c d + c
+--R   + 
+--R       2
+--R     2b  - 4b + 2
+--E 7
+
+--S 8
+t2:=d*(2*p+1)*(q-p) + c*(p+2)*(1-q) + b*(b-2)*d + b*(1-2*b)*p*d_
+    +b*c*(q+p-p*q-1) + b*(b+1)*p^2*d
+--R 
+--R
+--R   (2)
+--R                                              2            2
+--R     ((2d + (- b - 1)c)p + d + (b - 2)c)q + (b  + b - 2)d p
+--R   + 
+--R           2                            2
+--R     ((- 2b  + b - 1)d + (b + 1)c)p + (b  - 2b)d + (- b + 2)c
+--E 8
+
+--S 9
+t3:=-b^2*(p-1)^2 + 2*p*(p-q) - 2*(q-1)
+--R 
+--R
+--R                          2      2     2     2
+--R   (3)  (- 2p - 2)q + (- b  + 2)p  + 2b p - b  + 2
+--E 9
+
+--S 10
+t4:=b^2 + 4*(p-q^2) + 3*c^2*(q-1)^2 - 3*d^2*(p-q)^2 + 3*b^2*d^2*(p-1)^2_
+    +b^2*p*(p-2) + 6*b*d*c*(p+q+q*p-1)
+--R 
+--R
+--R   (4)
+--R          2     2      2       2                         2
+--R     (- 3d  + 3c  - 4)q  + ((6d  + 6b c d)p + 6b c d - 6c )q
+--R   + 
+--R         2      2    2  2        2 2              2           2 2              2
+--R     ((3b  - 3)d  + b )p  + (- 6b d  + 6b c d - 2b  + 4)p + 3b d  - 6b c d + 3c
+--R   + 
+--R      2
+--R     b
+--E 10
+
+@
+\section{CzaporGeddes3}
+Paramters $a,b,c,d,e,f,g,h,k$ and variables $x,y$
+<<*>>=
+
+)clear all
+
+--S 11
+t1:=a*x^2+b*x*y+c*x+d*y^2+e*y+f
+--R 
+--R
+--R           2                   2
+--R   (1)  d y  + (b x + e)y + a x  + c x + f
+--E 11
+
+--S 12
+t2:=b*x^2+4*d*x*y+2*e*x+g*y^2+h*y+k
+--R 
+--R
+--R           2                    2
+--R   (2)  g y  + (4d x + h)y + b x  + 2e x + k
+--E 12
+
+@
+\section{CzaporGeddes4}
+Paramters $a,b,c,d,e,f,g,h,k$ and variables $x,y,z$
+<<*>>=
+)clear all
+
+--S 13
+t1:=x^2+a*y*z+d*x+g
+--R 
+--R
+--R                 2
+--R   (1)  a y z + x  + d x + g
+--E 13
+
+--S 14
+t2:=y^2+b*z*x+e*y+h
+--R 
+--R
+--R                 2
+--R   (2)  b x z + y  + e y + h
+--E 14
+
+--S 15
+t3:=z^2+c*x*y+f*z+k
+--R 
+--R
+--R         2
+--R   (3)  z  + f z + c x y + k
+--E 15
+
+@
+\section{Hawes1}
+Parameters $a,b$ and variables $x,A,B$
+<<*>>=
+)clear all
+
+--S 16
+t1:=(x^2-A)^2 + (x^3+b*x-B)*(x^3+b*x-B-a)^2
+--R 
+--R
+--R   (1)
+--R      9       7               6     2 5                      4
+--R     x  + 3b x  + (- 2a - 3B)x  + 3b x  + ((- 4a - 6B)b + 1)x
+--R   + 
+--R       3    2            2  3                2       2     2            2
+--R     (b  + a  + 4B a + 3B )x  + ((- 2a - 3B)b  - 2A)x  + (a  + 4B a + 3B )b x
+--R   + 
+--R          2     2     3    2
+--R     - B a  - 2B a - B  + A
+--E 16
+
+--S 17
+t2:=4*x*(x^2-A)+(3*x^2+b)*(x^3+b*x-B-a)*(3*(x^3+b*x-B)-a)
+--R 
+--R
+--R   (2)
+--R       8        6                 5      2 4                        3
+--R     9x  + 21b x  + (- 12a - 18B)x  + 15b x  + ((- 16a - 24B)b + 4)x
+--R   + 
+--R        3     2             2  2                2            2            2
+--R     (3b  + 3a  + 12B a + 9B )x  + ((- 4a - 6B)b  - 4A)x + (a  + 4B a + 3B )b
+--E 17
+
+--S 18
+t3:=12*x^2-4*A+6*x*(x^3+b*x-B-a)^2+4*(3*x^2+b)^2*(x^3+b*x-B-a)_
+    +2*(x^3+b*x-B)*(3*x^2+b)^2+12*x*(x^3+b*x-B)*(x^3+b*x-B-a)
+--R 
+--R
+--R   (3)
+--R        7         5                 4      2 3                         2
+--R     72x  + 126b x  + (- 60a - 90B)x  + 60b x  + ((- 48a - 72B)b + 12)x
+--R   + 
+--R        3     2              2                 2
+--R     (6b  + 6a  + 24B a + 18B )x + (- 4a - 6B)b  - 4A
+--E 18
+
+--S 19
+t4:=24*x+6*(x^3+b*x-B-a)^2+72*x*(x^3+b*x-B-a)*(3*x^2+b)+6*(3*x^2+b)^3_
+    +36*x*(x^3+b*x-B)*(3*x^2+b)+12*(x^3+b*x-B)*(x^3+b*x-B-a)
+--R 
+--R
+--R   (4)
+--R         6         4                   3       2 2
+--R     504x  + 630b x  + (- 240a - 360B)x  + 180b x  + ((- 96a - 144B)b + 24)x
+--R   + 
+--R       3     2              2
+--R     6b  + 6a  + 24B a + 18B
+--E 19
+
+@
+\section{Hawes2}
+Parameters $a,b,c$ and variables $x,y[2],z[2]$
+<<*>>=
+)clear all
+
+--S 20
+t1:=x+2*y1*z1+3*a*y1^2+5*y1^4+2*c*y1
+--R 
+--R
+--R                    4        2
+--R   (1)  2y1 z1 + 5y1  + 3a y1  + 2c y1 + x
+--E 20
+
+--S 21
+t2:=x+2*y2*z2+3*a*y2^2+5*y2^4+2*c*y2
+--R 
+--R
+--R                    4        2
+--R   (2)  2y2 z2 + 5y2  + 3a y2  + 2c y2 + x
+--E 21
+
+--S 22
+t3:=2*z2+6*a*y2+20*y2^3+2*c
+--R 
+--R
+--R                  3
+--R   (3)  2z2 + 20y2  + 6a y2 + 2c
+--E 22
+
+--S 23
+t4:=3*z1^2+y1^2+b
+--R 
+--R
+--R           2     2
+--R   (4)  3z1  + y1  + b
+--E 23
+
+--S 24
+t5:=3*z2^2+y2^2+b
+--R 
+--R
+--R           2     2
+--R   (5)  3z2  + y2  + b
+--E 24
+
+@
+\section{Hawes}
+Paramters $a,b,c$ and variables $x,y[3],z[3]$
+<<*>>=
+)clear all
+
+--S 25
+t1:=3*z1^2+y1^2+b
+--R 
+--R
+--R           2     2
+--R   (1)  3z1  + y1  + b
+--E 25
+
+--S 26
+t2:=3*z1^2+y2^2+b
+--R 
+--R
+--R           2     2
+--R   (2)  3z1  + y2  + b
+--E 26
+
+--S 27
+t3:=3*z3^2+y3^2+b
+--R 
+--R
+--R           2     2
+--R   (3)  3z3  + y3  + b
+--E 27
+
+--S 28
+t4:=y1^2*z1+2*a*y1^3+4*y1^5+c*y1^2-z1^3-b*z1-y2^2*z2-2*a*y2^3_
+    -4*y2^5-c*y2^2+z2^3+b*z2
+--R 
+--R
+--R   (4)
+--R       3        2            3      2             5        3       2      5
+--R     z2  + (- y2  + b)z2 - z1  + (y1  - b)z1 - 4y2  - 2a y2  - c y2  + 4y1
+--R   + 
+--R          3       2
+--R     2a y1  + c y1
+--E 28
+
+--S 29
+t5:=y2^2*z2+2*a*y2^3+4*y2^5+c*y2^2-z2^3-b*z2-y3^2*z3-2*a*y3^3_
+    -4*y3^5-c*y3^2+z3^3+b*z3
+--R 
+--R
+--R   (5)
+--R       3        2            3      2             5        3       2      5
+--R     z3  + (- y3  + b)z3 - z2  + (y2  - b)z2 - 4y3  - 2a y3  - c y3  + 4y2
+--R   + 
+--R          3       2
+--R     2a y2  + c y2
+--E 29
+
+--S 30
+t6:=y3^2*z3+2*a*y3^3+4*y3^5+c*y3^2-z3^3-b*z3-y1^2*z1-2*a*y1^3_
+    -4*y1^5-c*y1^2+z1^3+b*z1
+--R 
+--R
+--R   (6)
+--R         3      2            3        2             5        3       2      5
+--R     - z3  + (y3  - b)z3 + z1  + (- y1  + b)z1 + 4y3  + 2a y3  + c y3  - 4y1
+--R   + 
+--R            3       2
+--R     - 2a y1  - c y1
+--E 30
+
+@
+\section{Hawes}
+Paramters $a,b,c$ and variables $x,y[2],z[2]$
+<<*>>=
+)clear all
+
+--S 31
+t1:=3*z1^2+y1^2+b
+--R 
+--R
+--R           2     2
+--R   (1)  3z1  + y1  + b
+--E 31
+
+--S 32
+t2:=3*z2^2+y2^2+b
+--R 
+--R
+--R           2     2
+--R   (2)  3z2  + y2  + b
+--E 32
+
+--S 33
+t3:=x+2*y1*z1+3*a*y1^2+5*y1^4+2*c*y1
+--R 
+--R
+--R                    4        2
+--R   (3)  2y1 z1 + 5y1  + 3a y1  + 2c y1 + x
+--E 33
+
+--S 34
+t4:=x+2*y2*z2+3*a*y2^2+5*y2^4+2*c*y2
+--R 
+--R
+--R                    4        2
+--R   (4)  2y2 z2 + 5y2  + 3a y2  + 2c y2 + x
+--E 34
+
+--S 35
+t5:=x*y1+z1^3+y1^2*z1+a*y1^3+y1^5+b*z1+c*y1^2-x*y2-z2^3-y2^2*z2_
+    -a*y2^3-y2^5-b*z2-c*y2^2
+--R 
+--R
+--R   (5)
+--R         3        2            3      2            5       3       2
+--R     - z2  + (- y2  - b)z2 + z1  + (y1  + b)z1 - y2  - a y2  - c y2  - x y2
+--R   + 
+--R       5       3       2
+--R     y1  + a y1  + c y1  + x y1
+--E 35
+
+--S 36
+t6:=(6*z1^2+18*a*z1*y1+6*y1-y1^3*z1+6*c*y1^2*z1-2*y1^2)_
+    *(3*z2^2*y2+9*a*y2^2*z2+45*y2^4*z2-y2^3-3*x*z2+b*y2)_
+    -(6*z2^2+18*a*z2*y2+60*y2^3*z2+6*c*y2^2*z2-2*y2^2)_
+    *(3*z1^2*y1+9*a*y1^2*z1+45*y1^4*z1-y1^3-3*x*z1+b*y1)
+--R 
+--R
+--R   (6)
+--R                        2
+--R         (18y2 - 18y1)z1
+--R       + 
+--R                3         2                    4         2
+--R         ((- 3y1  + 18c y1  + 54a y1)y2 - 270y1  - 54a y1  + 18x)z1
+--R       + 
+--R               2                3
+--R         (- 6y1  + 18y1)y2 + 6y1  - 6b y1
+--R    *
+--R         2
+--R       z2
+--R   + 
+--R               4           3                     2                     2
+--R         (270y2  - 180y1 y2  + (- 18c y1 + 54a)y2  - 54a y1 y2 - 18x)z1
+--R       + 
+--R                    3          2             4
+--R             (- 45y1  + 270c y1  + 810a y1)y2
+--R           + 
+--R                      4          2          3
+--R             (- 2700y1  - 540a y1  + 180x)y2
+--R           + 
+--R                       4        3       2             2
+--R             (- 270c y1  - 9a y1  + 162a y1 + 18c x)y2
+--R           + 
+--R                       4       2  2                   3           2
+--R             (- 810a y1  - 162a y1  + 54a x)y2 + 3x y1  - 18c x y1  - 54a x y1
+--R        *
+--R           z1
+--R       + 
+--R                2           4        3            3
+--R         (- 90y1  + 270y1)y2  + (60y1  - 60b y1)y2
+--R       + 
+--R               3         2                      2          3
+--R         (6c y1  - 18a y1  + (- 6b c + 54a)y1)y2  + (18a y1  - 18a b y1)y2
+--R       + 
+--R              2
+--R         6x y1  - 18x y1
+--R    *
+--R       z2
+--R   + 
+--R           3         2           2
+--R     (- 6y2  + 6y1 y2  + 6b y2)z1
+--R   + 
+--R            3        2            3        4         2        2
+--R         (y1  - 6c y1  - 18a y1)y2  + (90y1  + 18a y1  - 6x)y2
+--R       + 
+--R                3          2
+--R         (- b y1  + 6b c y1  + 18a b y1)y2
+--R    *
+--R       z1
+--R   + 
+--R         2         3         3           2           2
+--R     (2y1  - 6y1)y2  + (- 2y1  + 2b y1)y2  + (- 2b y1  + 6b y1)y2
+--E 36
+
+@
+\section{Reif}
+Variables $x[16]$
+<<*>>=
+)clear all
+
+--S 37
+t1:=x4*x13 + x5*x14 + x6*(1-x13-x14)
+--R 
+--R
+--R   (1)  (- x14 - x13 + 1)x6 + x14 x5 + x13 x4
+--E 37
+
+--S 38
+t2:=x4*x15 + x5*x16 - x6*(x15+x16)
+--R 
+--R
+--R   (2)  (- x16 - x15)x6 + x16 x5 + x15 x4
+--E 38
+
+--S 39
+t3:=x7*x13 + x8*x14 + x9*(1-x13-x14)
+--R 
+--R
+--R   (3)  (- x14 - x13 + 1)x9 + x14 x8 + x13 x7
+--E 39
+
+--S 40
+t4:=x7*x15 + x8*x16 - x9*(x15+x16)-1
+--R 
+--R
+--R   (4)  (- x16 - x15)x9 + x16 x8 + x15 x7 - 1
+--E 40
+
+--S 41
+t5:=x10*x13 + x11*x14 + x12*(1-x13-x14)
+--R 
+--R
+--R   (5)  (- x12 + x11)x14 + (- x12 + x10)x13 + x12
+--E 41
+
+--S 42
+t6:=x10*x15 + x11*x16 - x12*(x15+x16)
+--R 
+--R
+--R   (6)  (- x12 + x11)x16 + (- x12 + x10)x15
+--E 42
+
+--S 43
+t7:=x1*x13 + x2*x14 + x3*(1-x13-x14)
+--R 
+--R
+--R   (7)  (- x14 - x13 + 1)x3 + x14 x2 + x1 x13
+--E 43
+
+--S 44
+t8:=x1*x15 + x2*x16 - x3*(x15+x16)
+--R 
+--R
+--R   (8)  (- x16 - x15)x3 + x16 x2 + x1 x15
+--E 44
+
+--S 45
+t9:=x1*x4*x13 + x2*x5*x14 + x3*x6*(1-x13-x14)-1
+--R 
+--R
+--R   (9)  (- x14 - x13 + 1)x3 x6 + x14 x2 x5 + x1 x13 x4 - 1
+--E 45
+
+--S 46
+t10:=x1*x4*x15 + x2*x5*x16 - x3*x6*(x15+x16)
+--R 
+--R
+--R   (10)  (- x16 - x15)x3 x6 + x16 x2 x5 + x1 x15 x4
+--E 46
+
+--S 47
+t11:=x1*x7*x13 + x2*x8*x14 + x3*x9*(1-x13-x14)
+--R 
+--R
+--R   (11)  (- x14 - x13 + 1)x3 x9 + x14 x2 x8 + x1 x13 x7
+--E 47
+
+--S 48
+t12:=x1*x7*x15 + x2*x8*x16 - x3*x9*(x15+x16)
+--R 
+--R
+--R   (12)  (- x16 - x15)x3 x9 + x16 x2 x8 + x1 x15 x7
+--E 48
+
+--S 49
+t13:=x1*x10*x13 + x2*x11*x14 + x3*x12*(1-x13-x14)
+--R 
+--R
+--R   (13)  (- x12 x14 - x12 x13 + x12)x3 + x11 x14 x2 + x1 x10 x13
+--E 49
+
+--S 50
+t14:=x1*x10*x15 + x2*x11*x16 - x3*x12*(x15+x16)-1
+--R 
+--R
+--R   (14)  (- x12 x16 - x12 x15)x3 + x11 x16 x2 + x1 x10 x15 - 1
+--E 50
+
+@
+\section{Reimer4}
+Variables $x,y,z,t$
+<<*>>=
+)clear all
+
+--S 51
+t1:=2*x^2-2*y^2+2*z^2-2*t^2-1
+--R 
+--R
+--R          2     2     2     2
+--R   (1)  2z  - 2y  + 2x  - 2t  - 1
+--E 51
+
+--S 52
+t2:=2*x^3-2*y^3+2*z^3-2*t^3-1
+--R 
+--R
+--R          3     3     3     3
+--R   (2)  2z  - 2y  + 2x  - 2t  - 1
+--E 52
+
+--S 53
+t3:=2*x^4-2*y^4+2*z^4-2*t^4-1
+--R 
+--R
+--R          4     4     4     4
+--R   (3)  2z  - 2y  + 2x  - 2t  - 1
+--E 53
+
+--S 54
+t4:=2*x^5-2*y^5+2*z^5-2*t^5-1
+--R 
+--R
+--R          5     5     5     5
+--R   (4)  2z  - 2y  + 2x  - 2t  - 1
+--E 54
+
+@
+\section{Reimer4}
+Variables $x,y,z,t,u$
+<<*>>=
+)clear all
+
+--S 55
+t1:=2*x^2-2*y^2+2*z^2-2*t^2+2*u^2-1
+--R 
+--R
+--R          2     2     2     2     2
+--R   (1)  2z  - 2y  + 2x  + 2u  - 2t  - 1
+--E 55
+
+--S 56
+t2:=2*x^3-2*y^3+2*z^3-2*t^3+2*u^3-1
+--R 
+--R
+--R          3     3     3     3     3
+--R   (2)  2z  - 2y  + 2x  + 2u  - 2t  - 1
+--E 56
+
+--S 57
+t3:=2*x^4-2*y^4+2*z^4-2*t^4+2*u^4-1
+--R 
+--R
+--R          4     4     4     4     4
+--R   (3)  2z  - 2y  + 2x  + 2u  - 2t  - 1
+--E 57
+
+--S 58
+t4:=2*x^5-2*y^5+2*z^5-2*t^5+2*u^5-1
+--R 
+--R
+--R          5     5     5     5     5
+--R   (4)  2z  - 2y  + 2x  + 2u  - 2t  - 1
+--E 58
+
+--S 59
+t5:=2*x^6-2*y^6+2*z^6-2*t^6+2*u^6-1
+--R 
+--R
+--R          6     6     6     6     6
+--R   (5)  2z  - 2y  + 2x  + 2u  - 2t  - 1
+--E 59
+
+@
+\section{Reimer(n)}
+Given the variables $x[x]$ the general case of these 
+equations is given by:
+\[-1/2+\sum_{i=1}^n{(-1)(i+1)x_i^k} \quad k=2..n+1\]
+
+\section{Gerdt}
+Variables $x,y,z,t,u,v,w$
+<<*>>=
+)clear all
+
+--S 60
+t1:=y*w-1/2*z*w+t*w
+--R 
+--R
+--R          1
+--R   (1)  - - w z + w y + t w
+--R          2
+--E 60
+
+--S 61
+t2:=-2/7*u*w^2+10/7*v*w^2-20/7*w^3+t*u-5*t*v+10*t*w
+--R 
+--R
+--R          20  3    10     2    2
+--R   (2)  - -- w  + (-- v - - u)w  + 10t w - 5t v + t u
+--R           7        7     7
+--E 61
+
+--S 62
+t3:=2/7*y*w^2-2/7*z*w^2+6/7*t*w^2-y*t+z*t-3*t^2
+--R 
+--R
+--R           2  2          2  2         6    2     2
+--R   (3)  (- - w  + t)z + (- w  - t)y + - t w  - 3t
+--R           7             7            7
+--E 62
+
+--S 63
+t4:=-2*v^3+4*u*v*w+5*v^2*w-6*u*w^2-7*v*w^2+15*w^3+42*y*v_
+    -14*z*v-63*y*w+21*z*w-42*t*w+147*x
+--R 
+--R
+--R   (4)
+--R                                               3               2
+--R     (21w - 14v)z + (- 63w + 42v)y + 147x + 15w  + (- 7v - 6u)w
+--R   + 
+--R        2                    3
+--R     (5v  + 4u v - 42t)w - 2v
+--E 63
+
+--S 64
+t5:=-9/7*u*w^3+45/7*v*w^3-135/7*w^4+2*z*v^2-2*t*v^2-4*z*u*w+10*t*u*w_
+    -2*z*v*w-28*t*v*w+4*z*w^2+86*t*w^2-42*y*z+14*z^2+42*y*t_
+    -14*z*t-21*x*u+105*x*v-315*x*w
+--R 
+--R
+--R   (5)
+--R        2              2                    2
+--R     14z  + (- 42y + 4w  + (- 2v - 4u)w + 2v  - 14t)z + 42t y
+--R   + 
+--R                              135  4    45     9    3        2
+--R     (- 315w + 105v - 21u)x - --- w  + (-- v - - u)w  + 86t w
+--R                               7         7     7
+--R   + 
+--R                              2
+--R     (- 28t v + 10t u)w - 2t v
+--E 64
+
+--S 65
+t6:=6/7*y*w^3-9/7*z*w^3+36/7*t*w^3-2*x*v^2-4*y*t*w+6*z*t*w_
+    -24*t^2*w+4*x*u*w+2*x*v*w-4*x*w^2+56*x*y-35*x*z+84*x*t
+--R 
+--R
+--R   (6)
+--R              9  3                   6  3
+--R     (- 35x - - w  + 6t w)z + (56x + - w  - 4t w)y
+--R              7                      7
+--R   + 
+--R          2                  2           36    3      2
+--R     (- 4w  + (2v + 4u)w - 2v  + 84t)x + -- t w  - 24t w
+--R                                          7
+--E 65
+
+--S 66
+t7:=2*u*v*w-6*v^2*w-u*w^2+13*v*w^2-5*w^3+14*y*w-28*t*w
+--R 
+--R
+--R                  3             2        2
+--R   (7)  14w y - 5w  + (13v - u)w  + (- 6v  + 2u v - 28t)w
+--E 66
+
+--S 67
+t8:=u^2*w-3*u*v*w+5*u*w^2+14*y*w-28*t*w
+--R 
+--R
+--R                    2              2
+--R   (8)  14w y + 5u w  + (- 3u v + u  - 28t)w
+--E 67
+
+--S 68
+t9:=-2*z*u*w-2*t*u*w+4*y*v*w+6*z*v*w-2*t*v*w-16*y*w^2_
+    -10*z*w^2+22*t*w^2+42*x*w
+--R 
+--R
+--R   (9)
+--R         2                        2                         2
+--R   (- 10w  + (6v - 2u)w)z + (- 16w  + 4v w)y + 42w x + 22t w  + (- 2t v - 2t u)w
+--E 68
+
+--S 69
+t10:=28/3*y*u*w+8/3*z*u*w-20/3*t*u*w-88/3*y*v*w-8*z*v*w_
+    +68/3*t*v*w+52*y*w^2+40/3*z*w^2-44*t*w^2-84*x*w
+--R 
+--R
+--R   (10)
+--R      40  2           8             2      88     28                      2
+--R     (-- w  + (- 8v + - u)w)z + (52w  + (- -- v + -- u)w)y - 84w x - 44t w
+--R       3              3                     3      3
+--R   + 
+--R      68       20
+--R     (-- t v - -- t u)w
+--R       3        3
+--E 69
+
+--S 70
+t11:=-4*y*z*w+10*y*t*w+8*z*t*w-20*t^2*w+12*x*u*w-30*x*v*w+15*x*w^2
+--R 
+--R
+--R                                          2                         2
+--R   (11)  (- 4w y + 8t w)z + 10t w y + (15w  + (- 30v + 12u)w)x - 20t w
+--E 70
+
+--S 71
+t12:=-y^2*w+1/2*y*z*w+y*t*w-z*t*w+2*t^2*w-3*x*u*w+6*x*v*w-3*x*w^2
+--R 
+--R
+--R          1                  2                2                    2
+--R   (12)  (- w y - t w)z - w y  + t w y + (- 3w  + (6v - 3u)w)x + 2t w
+--R          2
+--E 71
+
+--S 72
+t13:=8*x*y*w-4*x*z*w+8*x*t*w
+--R 
+--R
+--R   (13)  - 4w x z + 8w x y + 8t w x
+--E 72
+
+@
+\section{Gerdt2}
+Variables $x,y,z,t,u$
+<<*>>=
+)clear all
+
+--S 73
+t1:=35*y^4-30*x*y^2-210*y^2*z+3*x^2+30*x*z-105*z^2+140*y*t-21*u
+--R 
+--R
+--R              2          2              4        2              2
+--R   (1)  - 105z  + (- 210y  + 30x)z + 35y  - 30x y  + 140t y + 3x  - 21u
+--E 73
+
+--S 74
+t2:=5*x*y^3-140*y^3*z-3*x^2*y+45*x*y*z-420*y*z^2+210*y^2*t_
+    -25*x*t+70*z*t+126*y*u
+--R 
+--R
+--R   (2)
+--R             2          3                       3         2        2
+--R     - 420y z  + (- 140y  + 45x y + 70t)z + 5x y  + 210t y  + (- 3x  + 126u)y
+--R   + 
+--R     - 25t x
+--E 74
+
+@
+\section{Gerdt3}
+Variables $x,y,z,t$
+<<*>>=
+)clear all
+
+--S 75
+t1:=6*x*y^2*t-x^2*z*t-6*x*y*z*t+3*x*z^2*t-2*z^3*t-6*x*y^2+6*x*y*z-2*x*z^2
+--R 
+--R
+--R              3              2                       2                2
+--R   (1)  - 2t z  + (3t - 2)x z  + ((- 6t + 6)x y - t x )z + (6t - 6)x y
+--E 75
+
+--S 76
+t2:=-63*x*y^2*t^2+9*x^2*z*t^2+63*x*y*z*t^2+18*y^2*z*t^2-27*x*z^2*t^2_
+    -18*y*z^2*t^2+18*z^3*t^2+78*x*y^2*t-78*x*y*z*t-18*y^2*z*t_
+    +24*x*z^2*t+18*y*z^2*t-9*z^3*t-15*x*y^2+15*x*y*z-5*x*z^2
+--R 
+--R
+--R   (2)
+--R         2       3          2                 2              2
+--R     (18t  - 9t)z  + ((- 18t  + 18t)y + (- 27t  + 24t - 5)x)z
+--R   + 
+--R          2        2       2                    2 2           2               2
+--R     ((18t  - 18t)y  + (63t  - 78t + 15)x y + 9t x )z + (- 63t  + 78t - 15)x y
+--E 76
+
+--S 77
+t3:=18*x^2*y^2*t-3*x^3*z*t-18*x^2*y*z*t+12*x*y^2*z*t+5*x^2*z^2*t_
+    -12*x*y*z^2*t+6*x*z^3*t-8*z^4*t-18*x^2*y^2+18*x^2*y*z-12*x*y^2*z_
+    -4*x^2*z^2+12*x*y*z^2-6*x*z^3
+--R 
+--R
+--R   (3)
+--R           4              3                               2  2
+--R     - 8t z  + (6t - 6)x z  + ((- 12t + 12)x y + (5t - 4)x )z
+--R   + 
+--R                   2                2        3                2 2
+--R     ((12t - 12)x y  + (- 18t + 18)x y - 3t x )z + (18t - 18)x y
+--E 77
+
+--S 78
+t4:=-x^2*y*t+3*x*y^2*t+10*y^3*t-15*y^2*z*t+3*y*z^2*t-3*x*y^2-10*y^3+x*y*z_
+    +15*y^2*z-5*y*z^2
+--R 
+--R
+--R   (4)
+--R              2                 2                      3              2      2
+--R   (3t - 5)y z  + ((- 15t + 15)y  + x y)z + (10t - 10)y  + (3t - 3)x y  - t x y
+--E 78
+
+@
+\section{Gerdt4}
+Variables $x,y,z,t,u,v,w,a,b,c$
+<<*>>=
+)clear all
+
+--S 79
+t1:=y*t-y*u-u*b+u*c
+--R 
+--R
+--R   (1)  (- u + t)y + (c - b)u
+--E 79
+
+--S 80
+t2:=2*x*y^2*t-x*y^2*u-2*y^2*t*v+y^2*u*v-x*y*z*a+12*x*t^2*a-4*x*t*u*a_
+    -x*u^2*a+y*z*v*a-2*t*u*v*a+u^2*v*a-x*u*w*a+u*v*w*a-6*x*z*a*b
+--R 
+--R
+--R   (2)
+--R                                                            2
+--R     ((- a x + a v)y - 6a b x)z + ((- u + 2t)x + (u - 2t)v)y
+--R   + 
+--R                   2                 2                   2
+--R     (- a u w - a u  - 4a t u + 12a t )x + a u v w + (a u  - 2a t u)v
+--E 80
+
+--S 81
+t3:=x*y^2*z-y^2*z*v+6*x*z*t*a+x*z*u*a-z*u*v*a-2*x*y*z*b+2*y*z*v*b_
+    -2*x*u*w*b+2*u*v*w*b-12*x*z*b^2+x*y*z*c-y*z*v*c+x*u*w*c_
+    -u*v*w*c+6*x*z*b*c
+--R 
+--R
+--R   (3)
+--R                 2                                                        2
+--R         (x - v)y  + ((c - 2b)x + (- c + 2b)v)y + (a u + 6a t + 6b c - 12b )x
+--R       + 
+--R         - a u v
+--R    *
+--R       z
+--R   + 
+--R     (c - 2b)u w x + (- c + 2b)u v w
+--E 81
+
+--S 82
+t4:=x*y*u-y*u*v+3*x*z*a+3*x*t*b+x*u*b-u*v*b
+--R 
+--R
+--R   (4)  3a x z + (u x - u v)y + (b u + 3b t)x - b u v
+--E 82
+
+--S 83
+t5:=5*x^2*y*t-5*x^2*y*u-10*x*y*t*v+10*x*y*u*v+5*y*t*v^2-5*y*u*v^2_
+    -6*x^2*z*a-12*x*z*v*a+4*x^2*t*b-7*x^2*u*b+16*x*t*v*b+8*x*u*v*b_
+    -2*t*v^2*b-u*v^2*b+8*x^2*t*c+x^2*u*c-10*x*t*v*c-2*x*u*v*c_
+    +2*t*v^2*c+u*v^2*c
+--R 
+--R
+--R   (5)
+--R            2                            2                                2
+--R     (- 6a x  - 12a v x)z + ((- 5u + 5t)x  + (10u - 10t)v x + (- 5u + 5t)v )y
+--R   + 
+--R                              2
+--R     ((c - 7b)u + (8c + 4b)t)x  + ((- 2c + 8b)u + (- 10c + 16b)t)v x
+--R   + 
+--R                             2
+--R     ((c - b)u + (2c - 2b)t)v
+--E 83
+
+--S 84
+t6:=-9*x^4*t*v*c+9*x^4*u*v*c-18*x^3*t*v^2*c-9*x^3*u*v^2*c+3*x^4*y*t_
+    -4*x^4*y*u-9*x^3*y*t*v+10*x^3*y*u*v+9*x^2*y*t*v^2-6*x^2*y*u*v^2_
+    -3*x*y*t*v^3-2*x*y*u*v^3+2*y*u*v^4-6*x^4*z*a-45*x^3*z*v*a_
+    -27*x^2*z*v^2*a-3*x*z*v^3*a-6*x^4*t*b-2*x^4*u*b-45*x^3*t*v*b_
+    +32*x^3*u*v*b-27*x^2*t*v^2*b-30*x^2*u*v^2*b-3*x*t*v^3*b-x*u*v^3*b+u*v^4*b
+--R 
+--R
+--R   (6)
+--R            4          3        2 2       3
+--R     (- 6a x  - 45a v x  - 27a v x  - 3a v x)z
+--R   + 
+--R                       4                3               2 2               3
+--R           (- 4u + 3t)x  + (10u - 9t)v x  + (- 6u + 9t)v x  + (- 2u - 3t)v x
+--R         + 
+--R               4
+--R           2u v
+--R    *
+--R       y
+--R   + 
+--R                                    4
+--R     ((9c u - 9c t)v - 2b u - 6b t)x
+--R   + 
+--R                       2                     3                     2 2
+--R     ((- 9c u - 18c t)v  + (32b u - 45b t)v)x  + (- 30b u - 27b t)v x
+--R   + 
+--R                    3         4
+--R     (- b u - 3b t)v x + b u v
+--E 84
+
+--S 85
+t7:=w*b-t*c+u*c-w*c
+--R 
+--R
+--R   (7)  (- c + b)w + c u - c t
+--E 85
+
+--S 86
+t8:=-6*z*t*v*a+x*z*w*a-z*v*w*a-2*x*w^2*b+2*v*w^2*b+12*z*v*b^2_
+    +x*y*z*c-y*z*v*c+x*w^2*c-v*w^2*c-2*x*z*b*c-4*z*v*b*c+x*z*c^2-z*v*c^2
+--R 
+--R
+--R   (8)
+--R                             2                               2             2
+--R     ((c x - c v)y + (a w + c  - 2b c)x - a v w + (- 6a t - c  - 4b c + 12b )v)z
+--R   + 
+--R              2                 2
+--R     (c - 2b)w x + (- c + 2b)v w
+--E 86
+
+--S 87
+t9:=-12*t^2*v*a+6*t*u*v*a+2*x*t*w*a-x*u*w*a-2*t*v*w*a+u*v*w*a_
+    -x*w^2*a+v*w^2*a+6*z*v*a*b+2*x*y*t*c-x*y*u*c-2*y*t*v*c+y*u*v*c_
+    -x*z*a*c+z*v*a*c
+--R 
+--R
+--R   (9)
+--R     (- a c x + (a c + 6a b)v)z + ((- c u + 2c t)x + (c u - 2c t)v)y
+--R   + 
+--R         2                            2                                    2
+--R   (- a w  + (- a u + 2a t)w)x + a v w  + (a u - 2a t)v w + (6a t u - 12a t )v
+--E 87
+
+--S 88
+t10:=3*z*v*a+3*t*v*b-x*t*c+t*v*c-x*w*c+v*w*c
+--R 
+--R
+--R   (10)  3a v z + (- c w - c t)x + c v w + (c + 3b)t v
+--E 88
+
+--S 89
+t11:=-12*x*z*v*a-6*z*v^2*a-2*x^2*t*b+2*x^2*u*b+16*x*t*v*b-10*x*u*v*b_
+    +4*t*v^2*b+8*u*v^2*b+5*x^2*w*b-10*x*v*w*b+5*v^2*w*b-x^2*t*c_
+    +x^2*u*c+8*x*t*v*c-2*x*u*v*c-7*t*v^2*c+u*v^2*c-5*x^2*w*c_
+    +10*x*v*w*c-5*v^2*w*c
+--R 
+--R
+--R   (11)
+--R                      2                                              2
+--R     (- 12a v x - 6a v )z + ((- 5c + 5b)w + (c + 2b)u + (- c - 2b)t)x
+--R   + 
+--R                                                                      2
+--R     ((10c - 10b)v w + ((- 2c - 10b)u + (8c + 16b)t)v)x + (- 5c + 5b)v w
+--R   + 
+--R                                2
+--R     ((c + 8b)u + (- 7c + 4b)t)v
+--E 89
+
+--S 90
+t12:=-18*x^2*u*v^3*b-9*x*u*v^4*b-9*x^2*u*v^3*c+9*x*u*v^4*c-3*x^3*z*v*a_
+    -27*x^2*z*v^2*a-45*x*z*v^3*a-6*z*v^4*a-3*x^3*t*v*b_
+    -27*x^2*t*v^2*b-45*x*t*v^3*b-6*t*v^4*b-3*x^3*v*w*b_
+    +9*x^2*v^2*w*b-9*x*v^3*w*b+3*v^4*w*b+x^4*t*c-x^3*t*v*c_
+    -30*x^2*t*v^2*c+32*x*t*v^3*c-2*t*v^4*c+2*x^4*w*c-2*x^3*v*w*c_
+    -6*x^2*v^2*w*c+10*x*v^3*w*c-4*v^4*w*c
+--R 
+--R
+--R   (12)
+--R              3        2 2        3        4                  4
+--R     (- 3a v x  - 27a v x  - 45a v x - 6a v )z + (2c w + c t)x
+--R   + 
+--R                                      3
+--R     ((- 2c - 3b)v w + (- c - 3b)t v)x
+--R   + 
+--R                  2                   3                   2  2
+--R     ((- 6c + 9b)v w + (- 9c - 18b)u v  + (- 30c - 27b)t v )x
+--R   + 
+--R                 3                4                 3                 4
+--R     ((10c - 9b)v w + (9c - 9b)u v  + (32c - 45b)t v )x + (- 4c + 3b)v w
+--R   + 
+--R                   4
+--R     (- 2c - 6b)t v
+--E 90
+
+@
+\section{Gerdt5}
+Varables $x,y,z,t,u,v,a,A,B,C,D,E,F$
+<<*>>=
+)clear all
+
+--S 91
+t1:=v*A
+--R 
+--R
+--R   (1)  A v
+--E 91
+
+--S 92
+t2:=u*A+14*B
+--R 
+--R
+--R   (2)  A u + 14B
+--E 92
+
+--S 93
+t3:=z*A
+--R 
+--R
+--R   (3)  A z
+--E 93
+
+--S 94
+t4:=u*a*A+3*z*A+2*t*A+168*B
+--R 
+--R
+--R   (4)  3A z + A a u + 2A t + 168B
+--E 94
+
+--S 95
+t5:=y*A+5*u*B
+--R 
+--R
+--R   (5)  A y + 5B u
+--E 95
+
+--S 96
+t6:=5*v*C+21*D
+--R 
+--R
+--R   (6)  5C v + 21D
+--E 96
+
+--S 97
+t7:=10*u*C+14*E
+--R 
+--R
+--R   (7)  10C u + 14E
+--E 97
+
+--S 98
+t8:=-5*y*C-u*E+105*F
+--R 
+--R
+--R   (8)  - 5C y - E u + 105F
+--E 98
+
+--S 99
+t9:=5*z*C+2*u*D
+--R 
+--R
+--R   (9)  5C z + 2D u
+--E 99
+
+--S 100
+t10:=-2/7*v^2+t-4*u-A
+--R 
+--R
+--R           2  2
+--R   (10)  - - v  - 4u + t - A
+--R           7
+--E 100
+
+--S 101
+t11:=-2/7*u^2+y-B
+--R 
+--R
+--R             2  2
+--R   (11)  y - - u  - B
+--R             7
+--E 101
+
+--S 102
+t12:=7*u-C
+--R 
+--R
+--R   (12)  7u - C
+--E 102
+
+--S 103
+t13:=3/7*v^3-2*t*v+6*u*v-7*z-D
+--R 
+--R
+--R                3  3
+--R   (13)  - 7z + - v  + (6u - 2t)v - D
+--R                7
+--E 103
+
+--S 104
+t14:=9/7*u*v^2-2*t*u+16*u^2-6*z*v-42*y-E
+--R 
+--R
+--R                        9    2      2
+--R   (14)  - 6v z - 42y + - u v  + 16u  - 2t u - E
+--R                        7
+--E 104
+
+--S 105
+t15:=3/7*u^3-2*y*u+7*x-F
+--R 
+--R
+--R                       3  3
+--R   (15)  - 2u y + 7x + - u  - F
+--R                       7
+--E 105
+
+@
+\section{Gertd6}
+Variables $x,y,z,t$
+<<*>>=
+)clear all
+
+--S 106
+t1:=-2*y^3*z+6*x^2*z*t-6*x*y*z*t+3*y^2*z*t-y*z*t^2-6*x^2*t+6*x*y*t-2*y^2*t
+--R 
+--R
+--R             3       2              2         2         2                2
+--R   (1)  (- 2y  + 3t y  + (- 6t x - t )y + 6t x )z - 2t y  + 6t x y - 6t x
+--E 106
+
+--S 107
+t1:=18*x^2*y*z^2-18*x*y^2*z^2+18*y^2*z^2-63*x^2*z^2*t+63*x*y*z^2*t_
+    -27*y^2*z^2*t+9*y*z^2*t^2-18*x^2*y*z+18*x*y^2*z-9*y^3*z_
+    +78*x^2*z*t-78*x*y*z*t+24*y^2*z*t-15*x^2*t+15*x*y*t-5*y^2*t
+--R 
+--R
+--R   (2)
+--R                         2       2             2          2  2
+--R     ((- 18x - 27t + 18)y  + (18x  + 63t x + 9t )y - 63t x )z
+--R   + 
+--R          3               2         2                  2         2
+--R     (- 9y  + (18x + 24t)y  + (- 18x  - 78t x)y + 78t x )z - 5t y  + 15t x y
+--R   + 
+--R            2
+--R     - 15t x
+--E 107
+
+--S 108
+t1:=-8*y^4*z+12*x^2*y*z*t-12*x*y^2*z*t+6*y^3*z*t+18*x^2*z*t^2_
+    -18*x*y*z*t^2+5*y^2*z*t^2-3*y*z*t^3-12*x^2*y*t+12*x*y^2*t_
+    -6*y^3*t-18*x^2*t^2+18*x*y*t^2-4*y^2*t^2
+--R 
+--R
+--R   (3)
+--R          4       3                2  2         2      2      3        2 2
+--R     (- 8y  + 6t y  + (- 12t x + 5t )y  + (12t x  - 18t x - 3t )y + 18t x )z
+--R   + 
+--R           3              2  2           2      2         2 2
+--R     - 6t y  + (12t x - 4t )y  + (- 12t x  + 18t x)y - 18t x
+--E 108
+
+--S 109
+t1:=10*x^3*z-15*x^2*y*z+3*x*y^3*z+3*x^2*z*t-x*z*t^2-10*x^3+15*x^2*y_
+    -5*x*y^2-3*x^2*t+x*y*t
+--R 
+--R
+--R   (4)
+--R        3      2       3       2    2          2       2              3       2
+--R   (3x y  - 15x y + 10x  + 3t x  - t x)z - 5x y  + (15x  + t x)y - 10x  - 3t x
+--E 109
+
+@
+\section{Hairer1}
+Variables $a,b,c,d,e,f,g,h$
+<<*>>=
+)clear all
+
+--S 110
+t1:=a-f
+--R 
+--R
+--R   (1)  - f + a
+--E 110
+
+--S 111
+t2:=b-g-h
+--R 
+--R
+--R   (2)  - h - g + b
+--E 111
+
+--S 112
+t3:=c+d+e-1
+--R 
+--R
+--R   (3)  e + d + c - 1
+--E 112
+
+--S 113
+t4:=b*c+a*d-1/2
+--R 
+--R
+--R                    1
+--R   (4)  a d + b c - -
+--R                    2
+--E 113
+
+--S 114
+t5:=b^2*c+a^2*d-1/3
+--R 
+--R
+--R         2     2    1
+--R   (5)  a d + b c - -
+--R                    3
+--E 114
+
+--S 115
+t6:=a*c*g-1/6
+--R 
+--R
+--R                1
+--R   (6)  a c g - -
+--R                6
+--E 115
+
+@
+\section{Hairer2}
+Variables $a,b,c,d,e,f,g,h,i,j,k,l,m$
+<<*>>=
+)clear all
+
+--S 116
+t1:=d+e+f+g-1
+--R 
+--R
+--R   (1)  g + f + e + d - 1
+--E 116
+
+--S 117
+t2:=c*d+b*e+a*f-1/2
+--R 
+--R
+--R                          1
+--R   (2)  a f + b e + c d - -
+--R                          2
+--E 117
+
+--S 118
+t3:=c^2*d+b^2*e+a^2*f-1/3
+--R 
+--R
+--R         2     2     2    1
+--R   (3)  a f + b e + c d - -
+--R                          3
+--E 118
+
+--S 119
+t4:=a*e*i+a*d*l+b*d*m-1/6
+--R 
+--R
+--R                                1
+--R   (4)  b d m + a d l + a e i - -
+--R                                6
+--E 119
+
+--S 120
+t5:=c^3*d+b^3*e+a^3*f-1/4
+--R 
+--R
+--R         3     3     3    1
+--R   (5)  a f + b e + c d - -
+--R                          4
+--E 120
+
+--S 121
+t6:=a*b*e*i+a*c*d*l+b*c*d*m-1/8
+--R 
+--R
+--R                                      1
+--R   (6)  b c d m + a c d l + a b e i - -
+--R                                      8
+--E 121
+
+--S 122
+t7:=a^2*e*i+a^2*d*l+b^2*d*m-1/2
+--R 
+--R
+--R         2       2       2      1
+--R   (7)  b d m + a d l + a e i - -
+--R                                2
+--E 122
+
+--S 123
+t8:=a*d*i*m-1/24
+--R 
+--R
+--R                   1
+--R   (8)  a d i m - --
+--R                  24
+--E 123
+
+--S 124
+t9:=a-h
+--R 
+--R
+--R   (9)  - h + a
+--E 124
+
+--S 125
+t10:=b-i-j
+--R 
+--R
+--R   (10)  - j - i + b
+--E 125
+
+--S 126
+t11:=c-k-l-m
+--R 
+--R
+--R   (11)  - m - l - k + c
+--E 126
+
+@
+\section{Hairer3}
+Variables $a,b,c,d,e,f,g,h,i,j,k,l,m,n$
+<<*>>=
+)clear all
+
+--S 127
+t1:=a*e+b*f+c*g+d*h-1/2
+--R 
+--R
+--R                                1
+--R   (1)  d h + c g + b f + a e - -
+--R                                2
+--E 127
+
+--S 128
+t2:=a^2*e+b^2*f+c^2*g+d^2*h-1/3
+--R 
+--R
+--R         2     2     2     2    1
+--R   (2)  d h + c g + b f + a e - -
+--R                                3
+--E 128
+
+--S 129
+t3:=a*f*i+a*g*j+b*g*k+a*h*l+b*h*m+c*h*n-1/6
+--R 
+--R
+--R                                                        1
+--R   (3)  c h n + b h m + a h l + b g k + a g j + a f i - -
+--R                                                        6
+--E 129
+
+--S 130
+t4:=a^3*e+b^3*f+c^3*g+d^3*h-1/4
+--R 
+--R
+--R         3     3     3     3    1
+--R   (4)  d h + c g + b f + a e - -
+--R                                4
+--E 130
+
+--S 131
+t5:=a*b*f*i+a*c*g*j+b*c*g*k+a*d*h*l+b*d*h*m+c*d*h*n-1/8
+--R 
+--R
+--R                                                                    1
+--R   (5)  c d h n + b d h m + a d h l + b c g k + a c g j + a b f i - -
+--R                                                                    8
+--E 131
+
+--S 132
+t6:=a^2*f*i+a^2*g*j+b^2*g*k+a^2*h*l+b^2*h*m+c^2*h*n-1/12
+--R 
+--R
+--R         2       2       2       2       2       2       1
+--R   (6)  c h n + b h m + a h l + b g k + a g j + a f i - --
+--R                                                        12
+--E 132
+
+--S 133
+t7:=a*g*i*k+a*h*i*m+a*h*j*n+b*h*k*n-1/24
+--R 
+--R
+--R                                                1
+--R   (7)  (b h k + a h j)n + a h i m + a g i k - --
+--R                                               24
+--E 133
+
+--S 134
+t8:=a^4*e+b^4*f+c^4*g+d^4*h-1/5
+--R 
+--R
+--R         4     4     4     4    1
+--R   (8)  d h + c g + b f + a e - -
+--R                                5
+--E 134
+
+--S 135
+t9:=a*b^2*f*i+a*c^2*g*j+b*c^2*g*k+ad^2*h*l+b*d^2*h*m+c*d^2*h*n-1/10
+--R 
+--R
+--R           2         2        2         2         2         2       1
+--R   (9)  c d h n + b d h m + ad h l + b c g k + a c g j + a b f i - --
+--R                                                                   10
+--E 135
+
+--S 136
+t10:=a^2*b*f*i+a^2*c*g*j+b^2*c*g*k+a^3*h*l+b^2*d*h*m+c^2*d*h*n-1/15
+--R 
+--R
+--R          2         2         3       2         2         2         1
+--R   (10)  c d h n + b d h m + a h l + b c g k + a c g j + a b f i - --
+--R                                                                   15
+--E 136
+
+--S 137
+t11:=a*c*g*i*k+a*d*h*i*m+a*d*h*j*n+b*d*h*k*n-1/30
+--R 
+--R
+--R                                                         1
+--R   (11)  (b d h k + a d h j)n + a d h i m + a c g i k - --
+--R                                                        30
+--E 137
+
+--S 138
+t12:=a^2*f*i^2+a^2*g*j^2+2*a*b*g*j*k+b^2*g*k^2+a^2*h*l^2+2*a*b*h*l*m
+    +b^2*h*m^2+2*a*c*h*l*n+2*b*c*h*m*n+c^2*h*n^2-1/20
+--R 
+--R
+--R   (12)
+--R      2   2                             2   2                 2   2    2   2
+--R     c h n  + (2b c h m + 2a c h l)n + b h m  + 2a b h l m + a h l  + b g k
+--R   + 
+--R                   2   2    2   2    1
+--R     2a b g j k + a g j  + a f i  - --
+--R                                    20
+--E 138
+
+--S 139
+t13:=a^2*f*i+a^3*g*j+b^3*g*k+a^3*h*l+b^3*h*m+c^3*h*n-1/20
+--R 
+--R
+--R          3       3       3       3       3       2       1
+--R   (13)  c h n + b h m + a h l + b g k + a g j + a f i - --
+--R                                                         20
+--E 139
+
+--S 140
+t14:=a*b*g*i*k+a*b*h*i*m+a*c*h*j*n+b*c*h*k*n-1/40
+--R 
+--R
+--R                                                         1
+--R   (14)  (b c h k + a c h j)n + a b h i m + a b g i k - --
+--R                                                        40
+--E 140
+
+--S 141
+t15:=a^2*g*i*k+a^2*h*i*m+a^2*h*j*n+b^2*h*k*n-1/60
+--R 
+--R
+--R           2       2         2         2         1
+--R   (15)  (b h k + a h j)n + a h i m + a g i k - --
+--R                                                60
+--E 141
+
+--S 142
+t16:=a*h*i*k*n-1/120
+--R 
+--R
+--R                      1
+--R   (16)  a h i k n - ---
+--R                     120
+--E 142
+
+@
+\section{Hairer4}
+Variables $a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t$
+<<*>>=
+)clear all
+
+--S 143
+t1:=a*f+b*g+c*h+d*i+e*j-1/2
+--R 
+--R
+--R                                      1
+--R   (1)  e j + d i + c h + b g + a f - -
+--R                                      2
+--E 143
+
+--S 144
+t2:=a^2*f+b^2*g+c^2*h+d^2*i+e^2*j-1/3
+--R 
+--R
+--R         2     2     2     2     2    1
+--R   (2)  e j + d i + c h + b g + a f - -
+--R                                      3
+--E 144
+
+--S 145
+t3:=t*d*j+a*g*k+a*h*l+b*h*m+a*i*n+b*i*o+c*i*p+a*j*q+b*j*r+c*j*s-1/6
+--R 
+--R
+--R   (3)
+--R     d j t + c j s + b j r + a j q + c i p + b i o + a i n + b h m + a h l
+--R   + 
+--R             1
+--R     a g k - -
+--R             6
+--E 145
+
+--S 146
+t4:=a^3*f+b^3*g+c^3*h+d^3*i+e^3*j-1/4
+--R 
+--R
+--R         3     3     3     3     3    1
+--R   (4)  e j + d i + c h + b g + a f - -
+--R                                      4
+--E 146
+
+--S 147
+t5:=t*d*e*j+a*b*g*k+a*c*h*l+b*c*h*m+a*d*i*n+b*d*i*o+c*d*i*p+a*e*j*q_
+    +b*e*j*r+c*e*j*s-1/8
+--R 
+--R
+--R   (5)
+--R     d e j t + c e j s + b e j r + a e j q + c d i p + b d i o + a d i n
+--R   + 
+--R                                   1
+--R     b c h m + a c h l + a b g k - -
+--R                                   8
+--E 147
+
+--S 148
+t6:=t*d^2*j+a^2*g*k+a^2*h*l+b^2*h*m+a^2*i*n+b^2*i*o+c^2*i*p+a^2*j*g_
+    +b^2*j*r+c^2*j*s-1/12
+--R 
+--R
+--R   (6)
+--R      2       2       2       2       2       2       2       2       2
+--R     d j t + c j s + b j r + c i p + b i o + a i n + b h m + a h l + a g k
+--R   + 
+--R      2       1
+--R     a g j - --
+--R             12
+--E 148
+
+--S 149
+t7:=a*h*k*m+t*a*j*n+t*b*j*o+a*i*k*o+t*c*j*p+a*i*l*p+b*i*m*p+a*j*k*r_
+    +a*j*l*s+b*j*m*s-1/24
+--R 
+--R
+--R   (7)
+--R     (c j p + b j o + a j n)t + (b j m + a j l)s + a j k r + (b i m + a i l)p
+--R   + 
+--R                          1
+--R     a i k o + a h k m - --
+--R                         24
+--E 149
+
+--S 150
+t8:=a^4*f+b^4*g+c^4*h+d^4*i+e^4*j-1/5
+--R 
+--R
+--R         4     4     4     4     4    1
+--R   (8)  e j + d i + c h + b g + a f - -
+--R                                      5
+--E 150
+
+--S 151
+t9:=t*d*e^2*j+a*b^2*g*k+a*c^2*h*l+b*c^2*h*m+a*d^2*i*n+b*d^2*i*o_
+    +c*d^2*i*p+a*e^2*j*g+b*e^2*j*r+c*e^2*j*s-1/10
+--R 
+--R
+--R   (9)
+--R        2         2         2         2         2         2         2
+--R     d e j t + c e j s + b e j r + c d i p + b d i o + a d i n + b c h m
+--R   + 
+--R        2         2         2       1
+--R     a c h l + a b g k + a e g j - --
+--R                                   10
+--E 151
+
+--S 152
+t10:=t*d^2*e*j+a^2*b*g*k+a^2*c*h*l+b^2*c*h*m+a^2*d*i*n+b^2*d*i*o_
+    +c^2*d*i*p+a^2*e*j*q+b^2*e*j*r+c^2*e*j*s-1/15
+--R 
+--R
+--R   (10)
+--R      2         2         2         2         2         2         2
+--R     d e j t + c e j s + b e j r + a e j q + c d i p + b d i o + a d i n
+--R   + 
+--R      2         2         2         1
+--R     b c h m + a c h l + a b g k - --
+--R                                   15
+--E 152
+
+--S 153
+t11:=a*c*h*k*m+t*a*e*j*n+t*b*e*j*o+a*d*i*k*o+t*c*e*j*p+a*d*i*l*p_
+    +b*d*i*m*p+a*e*j*k*r+a*e*j*l*s+b*e*j*m*s-1/30
+--R 
+--R
+--R   (11)
+--R     (c e j p + b e j o + a e j n)t + (b e j m + a e j l)s + a e j k r
+--R   + 
+--R                                                     1
+--R     (b d i m + a d i l)p + a d i k o + a c h k m - --
+--R                                                    30
+--E 153
+
+--S 154
+t12:=t^2*d^2*j+a^2*g*k^2+a^2*h*l^2+2*a*b*h*l*m+b^2*h*m^2+a^2*i*n^2_
+    +2*a*b*i*n*o+b^2*i*o^2+2*a*c*i*n*p+2*b*c*i*o*p+c^2*i*p^2_
+    +2*t*a*d*j*q+a^2*j*q^2+2*t*b*d*j*r+2*a*b*j*q*r+b^2*j*r^2_
+    +2*t*c*d*j*s+2*a*c*j*q*s+2*b*c*j*r*s+c^2*j*s^2-1/20
+--R 
+--R
+--R   (12)
+--R      2   2                                        2   2
+--R     d j t  + (2c d j s + 2b d j r + 2a d j q)t + c j s
+--R   + 
+--R                               2   2                 2   2    2   2
+--R     (2b c j r + 2a c j q)s + b j r  + 2a b j q r + a j q  + c i p
+--R   + 
+--R                               2   2                 2   2    2   2
+--R     (2b c i o + 2a c i n)p + b i o  + 2a b i n o + a i n  + b h m  + 2a b h l m
+--R   + 
+--R      2   2    2   2    1
+--R     a h l  + a g k  - --
+--R                       20
+--E 154
+
+--S 155
+t13:=t*d^3*j+a^3*g*k+a^3*h*l+b^3*h*m+a^3*i*n+b^3*i*o+c^3*i*p_
+    +a^3*j*q+b^3*j*r+c^3*j*s-1/20
+--R 
+--R
+--R   (13)
+--R      3       3       3       3       3       3       3       3       3
+--R     d j t + c j s + b j r + a j q + c i p + b i o + a i n + b h m + a h l
+--R   + 
+--R      3       1
+--R     a g k - --
+--R             20
+--E 155
+
+--S 156
+t14:=a*b*h*k*m+t*a*d*j*n+t*b*d*j*o+a*b*i*k*o+t*c*d*j*p+a*c*i*l*p_
+    +b*c*i*m*p+a*b*j*k*r+a*c*j*l*s+b*c*j*m*s-1/40
+--R 
+--R
+--R   (14)
+--R     (c d j p + b d j o + a d j n)t + (b c j m + a c j l)s + a b j k r
+--R   + 
+--R                                                     1
+--R     (b c i m + a c i l)p + a b i k o + a b h k m - --
+--R                                                    40
+--E 156
+
+--S 157
+t15:=a^2*h*k*m+t*a^2*j*n+t*b^2*j*o+a^2*i*k*o+t*c^2*j*p+a^2*i*l*p_
+    +b^2*i*m*p+a^2*j*k*r+a^2*j*l*s+b^2*j*m*s-1/60
+--R 
+--R
+--R   (15)
+--R       2       2       2          2       2         2          2       2
+--R     (c j p + b j o + a j n)t + (b j m + a j l)s + a j k r + (b i m + a i l)p
+--R   + 
+--R      2         2         1
+--R     a i k o + a h k m - --
+--R                         60
+--E 157
+
+--S 158
+t16:=t*a*j*k*o+t*a*j*l*p+t*b*j*m*p+a*i*k*m*p+a*j*k*m*s-1/20
+--R 
+--R
+--R                                                                  1
+--R   (16)  ((b j m + a j l)p + a j k o)t + a j k m s + a i k m p - --
+--R                                                                 20
+--E 158
+
+@
+\section{Hietarinta1}
+Variables $a,c,j,l,m,n,p,v,g,h$
+<<*>>=
+)clear all
+
+--S 159
+t1:=c^2*p-a*c+c*l+a-p-h
+--R 
+--R
+--R          2
+--R   (1)  (c  - 1)p + c l - h - a c + a
+--E 159
+
+--S 160
+t2:=a*c*h+c^2+c*n+m*h
+--R 
+--R
+--R                             2
+--R   (2)  c n + h m + a c h + c
+--E 160
+
+--S 161
+t3:=-a^2*c+a*c*l+a*c*g-c*l*h+a^2+2*c^2-a*m-a*h+l*h-2
+--R 
+--R
+--R                                                      2    2     2
+--R   (3)  - a m + ((- c + 1)h + a c)l - a h + a c g + 2c  - a c + a  - 2
+--E 161
+
+--S 162
+t4:=-a*c^2+a*c*j-c^2*m+a*c*n+c^2*v-c*n*h-c*m+n*h
+--R 
+--R
+--R         2                              2                    2
+--R   (4)  c v + ((- c + 1)h + a c)n + (- c  - c)m + a c j - a c
+--E 162
+
+--S 163
+t5:=-c*l*g-a*l-j-1
+--R 
+--R
+--R   (5)  (- c g - a)l - j - 1
+--E 163
+
+--S 164
+t6:=-c*n*g-c*l-c*m+j*m+c*g+c*h
+--R 
+--R
+--R   (6)  - c g n + (j - c)m - c l + c h + c g
+--E 164
+
+--S 165
+t7:=-c*j*l-a*j+j*l-a*n+c*g+a-v+g
+--R 
+--R
+--R   (7)  - v - a n + (- c + 1)j l - a j + (c + 1)g + a
+--E 165
+
+--S 166
+t8:=-c*j*n+c*j-c*n+j*n
+--R 
+--R
+--R   (8)  ((- c + 1)j - c)n + c j
+--E 166
+
+--S 167
+t9:=c*m*p-l*n*p+a*l+l*m+a*p-l*p+c-n-2
+--R 
+--R
+--R   (9)  (- l n + c m - l + a)p - n + l m + a l + c - 2
+--E 167
+
+--S 168
+t10:=-n^2*p+c*l+c*m+2*m*n+c*p-c*h+m
+--R 
+--R
+--R             2
+--R   (10)  (- n  + c)p + 2m n + (c + 1)m + c l - c h
+--E 168
+
+--S 169
+t11:=-l*m*h+a*c+2*c*m-l*n+m*n-c*g-a+p+h
+--R 
+--R
+--R   (11)  p + (m - l)n + (- h l + 2c)m + h - c g + a c - a
+--E 169
+
+--S 170
+t12:=-c*l*m-c*m^2+a*m*n-m^2*n+c*m*v-m*n*h+c^2-c*j-n^2+n
+--R 
+--R
+--R                  2       2                         2                  2
+--R   (12)  c m v - n  + (- m  + (- h + a)m + 1)n - c m  - c l m - c j + c
+--E 170
+
+--S 171
+t13:=a^2*l-a*l^2+c*n*p-l*m*g-c*l-a*n+2*a-l+m-v+g
+--R 
+--R
+--R                                               2           2
+--R   (13)  - v + c n p - a n + (- g l + 1)m - a l  + (- c + a  - 1)l + g + 2a
+--E 171
+
+--S 172
+t14:=a*c*l-c*l^2+a*m*n-l*m*n-m*n*g+c*l*h-m^2+c*n-n^2+m*v+2*c
+--R 
+--R
+--R                2                            2      2
+--R   (14)  m v - n  + ((- l - g + a)m + c)n - m  - c l  + (c h + a c)l + 2c
+--E 172
+
+--S 173
+t15:=-j*l*m-l*n*v+c*l*g+a*l+c*n+n^2+j+1
+--R 
+--R
+--R                    2
+--R   (15)  - l n v + n  + c n - j l m + (c g + a)l + j + 1
+--E 173
+
+--S 174
+t16:=c*j*l-c*l*n-j*m*n+a*n^2-m*n^2+c*n*v-n^2*v+n*v
+--R 
+--R
+--R             2                          2
+--R   (16)  (- n  + (c + 1)n)v + (- m + a)n  + (- j m - c l)n + c j l
+--E 174
+
+--S 175
+t17:=-j*l*p+c*m*p+n*p*h-a*l-a*m+a*g-p*g+a*h+c-j+n-1
+--R 
+--R
+--R   (17)  (h n + c m - j l - g)p + n - a m - a l - j + a h + a g + c - 1
+--E 175
+
+--S 176
+t18:=-j*n*p+l*m*h-c*l+j*m+c*g+n*h
+--R 
+--R
+--R   (18)  - j n p + h n + (h l + j)m - c l + c g
+--E 176
+
+--S 177
+t19:=l^2*h-l*h^2+a*c-c*l-j*l+c*m+j*m-n*g+c*h+n*h-a-l-g+h
+--R 
+--R
+--R   (19)
+--R                            2           2
+--R   (h - g)n + (j + c)m + h l  + (- j - h  - c - 1)l + (c + 1)h - g + a c - a
+--E 177
+
+--S 178
+t20:=a*j*m-j*m^2+c*m*v-c*m*g-c*m*h+l*n*h+n*v*h-n*h^2+c^2-c*n-2*j*n
+--R 
+--R
+--R                                     2            2                         2
+--R   (20)  (h n + c m)v + (h l - 2j - h  - c)n - j m  + (a j - c h - c g)m + c
+--E 178
+
+--S 179
+t21:=j*n*p-l*g*h-j*l-n*g-m+h
+--R 
+--R
+--R   (21)  j n p - g n - m + (- j - g h)l + h
+--E 179
+
+--S 180
+t22:=j*l^2-j*l*v-a*n*g+n*g^2-j*l*h+2*j*n+l*g+m*g-v*g+j-1
+--R 
+--R
+--R                               2                    2
+--R   (22)  (- j l - g)v + (2j + g  - a g)n + g m + j l  + (- h j + g)l + j - 1
+--E 180
+
+--S 181
+t23:=j*l*n-j*m*n-c*n*g+j*n*g-j*n*h+j*m
+--R 
+--R
+--R   (23)  (- j m + j l + (- h + g)j - c g)n + j m
+--E 181
+
+--S 182
+t24:=-a^2*p+a*l*p+m^2*p-l*p*v+3*a+2*m-v
+--R 
+--R
+--R                          2          2
+--R   (24)  (- l p - 1)v + (m  + a l - a )p + 2m + 3a
+--E 182
+
+--S 183
+t25:=-a*c*p+c*l*p-n*p*v+n*p*h-a*m+l*m+m*v-m*h+2*c+2*n
+--R 
+--R
+--R   (25)  (- n p + m)v + (h n + c l - a c)p + 2n + (l - h - a)m + 2c
+--E 183
+
+--S 184
+t26:=-a*c*p+n*p*g+l^2-a*m-l*m+m^2+l*p-l*v+m*v-m*g-l*h-p*h+c+n
+--R 
+--R
+--R   (26)
+--R                                          2                     2
+--R   (m - l)v + (g n + l - h - a c)p + n + m  + (- l - g - a)m + l  - h l + c
+--E 184
+
+--S 185
+t27:=-c^2*p+j*n*p-2*c*m-j*m+l*n-m*n-n*h
+--R 
+--R
+--R                 2
+--R   (27)  (j n - c )p + (- m + l - h)n + (- j - 2c)m
+--E 185
+
+--S 186
+t28:=m*n*p+n*p*v-a*l-l*m-a*p-l*v-l*g-p*g
+--R 
+--R
+--R   (28)  (n p - l)v + (m n - g - a)p - l m + (- g - a)l
+--E 186
+
+--S 187
+t29:=l*m*h-c*l-c*p-n*g+n*h-m
+--R 
+--R
+--R   (29)  - c p + (h - g)n + (h l - 1)m - c l
+--E 187
+
+--S 188
+t30:=l^2*v-l*v^2+l*m*g-j*l-a*n-l*n+m*n-j*p+2*n*v+n*g-v
+--R 
+--R
+--R              2          2
+--R   (30)  - l v  + (2n + l  - 1)v - j p + (m - l + g - a)n + g l m - j l
+--E 188
+
+--S 189
+t31:=j*l*m+l*n*v-c*n-n^2
+--R 
+--R
+--R                  2
+--R   (31)  l n v - n  - c n + j l m
+--E 189
+
+@
+\section{Hietarinta2}
+Variables $a,b,c,j,k,l,m,n,p,v$
+<<*>>=
+)clear all
+ 
+--S 190
+t1:=-a*b*k+a*c*k+b*k*l-c*k*l-b^2*p+c^2*p+b*k
+--R 
+--R
+--R          2    2
+--R   (1)  (c  - b )p + (- c + b)k l + (a c + (- a + 1)b)k
+--E 190
+
+--S 191
+t2:=-c^2*k+a*c*l+b*l*m-c*k*n+a*c+c^2+b*m
+--R 
+--R
+--R                                        2     2
+--R   (2)  - c k n + (b l + b)m + a c l - c k + c  + a c
+--E 191
+
+--S 192
+t3:=a^2*b-a^2*c+2*b^2*k-2*c^2*k-a*b*l+a*c*l+b*l^2-c*l^2-a*b*m+a*c*m_
+-a*b-b^2+c^2+b*l-c*l
+--R 
+--R
+--R   (3)
+--R                              2                                   2     2      2
+--R     (a c - a b)m + (- c + b)l  + ((a - 1)c + (- a + 1)b)l + (- 2c  + 2b )k + c
+--R   + 
+--R        2     2     2
+--R     - a c - b  + (a  - a)b
+--E 192
+
+--S 193
+t4:=-a*c^2+a*c*j-b*c*m-c^2*m+a*c*n+b*l*n-c*l*n+c^2*v+b*n-c*n
+--R 
+--R
+--R         2                                       2                      2
+--R   (4)  c v + ((- c + b)l + (a - 1)c + b)n + (- c  - b c)m + a c j - a c
+--E 193
+
+--S 194
+t5:=b^2*k+b*j*k-a*b*l-c*l*m-b^2
+--R 
+--R
+--R                                  2      2
+--R   (5)  - c l m - a b l + (b j + b )k - b
+--E 194
+
+--S 195
+t6:=b*j*m-c*m*n+b*c
+--R 
+--R
+--R   (6)  - c m n + b j m + b c
+--E 195
+
+--S 196
+t7:=a*b^2-a*b*j+b*j*l-c*j*l+b^2*m+b*c*m-a*b*n-b^2*v
+--R 
+--R
+--R           2                    2                               2
+--R   (7)  - b v - a b n + (b c + b )m + (- c + b)j l - a b j + a b
+--E 196
+
+--S 197
+t8:=b*c*j-b*c*n+b*j*n-c*j*n
+--R 
+--R
+--R   (8)  ((- c + b)j - b c)n + b c j
+--E 197
+
+--S 198
+t9:=-2*b*k^2+c*k^2-a*k*l-k*l*m-k^2*n+a*b*p-b*l*p+c*m*p-l*n*p+b*k
+--R 
+--R
+--R                                      2                             2
+--R   (9)  (- l n + c m - b l + a b)p - k n - k l m - a k l + (c - 2b)k  + b k
+--E 198
+
+--S 199
+t10:=-b*k*m-c*k*m-2*k*m*n+b*c*p-n^2*p+c*k+b*m+c*m
+--R 
+--R
+--R             2
+--R   (10)  (- n  + b c)p - 2k m n + ((- c - b)k + c + b)m + c k
+--E 199
+
+--S 200
+t11:=a*b*k-a*c*k-b*k*l-c*k*m-l^2*m+k*l*n-k*m*n+b^2*p-b*k+c*m-l*m-l*n
+--R 
+--R
+--R   (11)
+--R      2                              2
+--R     b p + (- k m + (k - 1)l)n + (- l  - l - c k + c)m - b k l
+--R   + 
+--R     (- a c + (a - 1)b)k
+--E 200
+
+--S 201
+t12:=-c^2*k+c*j*k-c*l*m-c*m^2-b*k*n+a*m*n-l*m*n-m^2*n+k*n^2+c*m*v+b*n-m*n-n^2
+--R 
+--R
+--R   (12)
+--R                     2       2                                   2
+--R     c m v + (k - 1)n  + (- m  + (- l + a - 1)m - b k + b)n - c m  - c l m
+--R   + 
+--R             2
+--R     (c j - c )k
+--E 201
+
+--S 202
+t13:=-2*a*b*k+a^2*l+b*k*l+c*k*l-a*l^2-2*b*k*m-l*m^2+a*k*n+c*n*p_
+    +b*k*v+a*b-b*l-l*n
+--R 
+--R
+--R   (13)
+--R                                       2               2                    2
+--R     b k v + c n p + (- l + a k)n - l m  - 2b k m - a l  + ((c + b)k - b + a )l
+--R   + 
+--R     - 2a b k + a b
+--E 202
+
+--S 203
+t14:=-2*b*c*k+a*c*l-b*m^2-c*k*n+a*m*n-l*m*n-m^2*n+k*n^2+b*m*v_
+    +b*c+c*l+c*n-n^2
+--R 
+--R
+--R   (14)
+--R                     2       2                               2
+--R     b m v + (k - 1)n  + (- m  + (- l + a)m - c k + c)n - b m  + (a + 1)c l
+--R   + 
+--R     - 2b c k + b c
+--E 203
+
+--S 204
+t15:=-b^2*k-b*j*k+a*b*l+c*l*m-j*l*m-c*k*n-k*n^2-l*n*v+b^2+c*n
+--R 
+--R
+--R   (15)
+--R                2                                                   2      2
+--R   - l n v - k n  + (- c k + c)n + (- j + c)l m + a b l + (- b j - b )k + b
+--E 204
+
+--S 205
+t16:=c*j*l-c*l*n-j*m*n+a*n^2-m*n^2+b*n*v+c*n*v-n^2*v
+--R 
+--R
+--R             2                          2
+--R   (16)  (- n  + (c + b)n)v + (- m + a)n  + (- j m - c l)n + c j l
+--E 205
+
+--S 206
+t17:=-b*k^2+c*k^2-j*k^2+k^2*n-j*l*p-b*m*p+c*m*p+l*n*p-a*k+n*p
+--R 
+--R
+--R                                         2                  2
+--R   (17)  ((l + 1)n + (c - b)m - j l)p + k n + (- j + c - b)k  - a k
+--E 206
+
+--S 207
+t18:=c*l*k-c*k*m-j*k*m+l^2*m-k*l*n-j*n*p+c*m+l*m-k*n+l*n+n
+--R 
+--R
+--R                                             2
+--R   (18)  - j n p + ((- k + 1)l - k + 1)n + (l  + l + (- j - c)k + c)m + c k l
+--E 207
+
+--S 208
+t19:=a*b*k-a*c*k+j*k*l+b*k*m-c*k*m-j*k*m-k*l*n+k*m*n_
+    -b*k-c*k-j*l-l^2-b*m+c*m-k*n+l*n-l+n
+--R 
+--R
+--R   (19)
+--R                                                                2
+--R     (k m + (- k + 1)l - k + 1)n + ((- j - c + b)k + c - b)m - l
+--R   + 
+--R     (j k - j - 1)l + ((- a - 1)c + (a - 1)b)k
+--E 208
+
+--S 209
+t20:=-c^2*k+a*j*m-c*l*m-c*m^2-j*m^2+c*k*n+2*j*k*n+c*m*v+l*n*v_
+    -c*m-j*n-l*n+n*v-n
+--R 
+--R
+--R   (20)
+--R                                                                2
+--R     ((l + 1)n + c m)v + (- l + (2j + c)k - j - 1)n + (- j - c)m
+--R   + 
+--R                           2
+--R     (- c l + a j - c)m - c k
+--E 209
+
+--S 210
+t21:=-b*k*l+j*k*l+b*k*m-l^2*m+k*m*n+j*n*p-b*k-j*l-b*m-l*m
+--R 
+--R
+--R                             2
+--R   (21)  j n p + k m n + (- l  - l + b k - b)m + ((j - b)k - j)l - b k
+--E 210
+
+--S 211
+t22:=b^2*k-b*j*k+b*l*m+b*m^2-2*j*k*n-a*m*n+m^2*n-j*l*v-b*m*v-j*l+j*n
+--R 
+--R
+--R   (22)
+--R                      2                         2                           2
+--R   (- b m - j l)v + (m  - a m - 2j k + j)n + b m  + b l m - j l + (- b j + b )k
+--E 211
+
+--S 212
+t23:=b*j*m-c*m*n-j*n
+--R 
+--R
+--R   (23)  (- c m - j)n + b j m
+--E 212
+
+--S 213
+t24:=3*a*k^2+2*k^2*m-a^2*p+a*l*p+m^2*p-k^2*v-l*p*v-2*a*k-b*p+n*p
+--R 
+--R
+--R                   2           2              2       2        2
+--R   (24)  (- l p - k )v + (n + m  + a l - b - a )p + 2k m + 3a k  - 2a k
+--E 213
+
+--S 214
+t25:=2*c*k^2+a*k*m+2*k^2*n-a*c*p+c*l*p+l*n*p-k*m*v-n*p*v-c*k-a*m_
+    +k*m+l*m+m^2-3*k*n+n*p+n
+--R 
+--R
+--R   (25)
+--R                                                   2               2
+--R     (- n p - k m)v + ((l + 1)n + c l - a c)p + (2k  - 3k + 1)n + m
+--R   + 
+--R                               2
+--R     (l + (a + 1)k - a)m + 2c k  - c k
+--E 214
+
+--S 215
+t26:=c*k^2+a*k*m+k*l*m+k^2*n-a*c*p+m*n*p+k*l*v-k*m*v_
+    +2*b*k-c*k+k*l-a*m+m^2-2*k*n-b*p-l*v-b-l+n
+--R 
+--R
+--R   (26)
+--R                                                2               2
+--R     (- k m + (k - 1)l)v + (m n - a c - b)p + (k  - 2k + 1)n + m
+--R   + 
+--R                                      2
+--R     (k l + a k - a)m + (k - 1)l + c k  + (- c + 2b)k - b
+--E 215
+
+--S 216
+t27:=2*c*k*m+j*k*m+k*m*n-c^2*p+j*n*p-2*c*m+k*n-n
+--R 
+--R
+--R                 2
+--R   (27)  (j n - c )p + (k m + k - 1)n + ((j + 2c)k - 2c)m
+--E 216
+
+--S 217
+t28:=a*k*l+2*k*l*m-a*b*p-b*m*p+m*n*p+k*l*v+n*p*v+b*k-l*m+k*n-l*v-b
+--R 
+--R
+--R   (28)
+--R   (n p + (k - 1)l)v + (m n - b m - a b)p + k n + (2k - 1)l m + a k l + b k - b
+--E 217
+
+@
+\section{Hietarinta3}
+Variables $x,y,z,t,u,v,w,a$
+<<*>>=
+)clear all
+
+--S 218
+t1:=-x^2+y^2
+--R 
+--R
+--R         2    2
+--R   (1)  y  - x
+--E 218
+
+--S 219
+t2:=x*u*v+y*u*a-x-w
+--R 
+--R
+--R   (2)  a u y + (u v - 1)x - w
+--E 219
+
+--S 220
+t3:=x*u^2-y*u^2+y*z*a-x*u*a+y*u*a-x*v*a+x*a^2-y*a^2
+--R 
+--R
+--R                    2          2               2          2
+--R   (3)  a y z + (- u  + a u - a )y + (- a v + u  - a u + a )x
+--E 220
+
+--S 221
+t4:=-x*y*v-y^2*v+x*u*w-y*u*w+y*t*a+y*w*a-v^2+a^2
+--R 
+--R
+--R             2                                          2    2
+--R   (4)  - v y  + (- v x + (- u + a)w + a t)y + u w x - v  + a
+--E 221
+
+--S 222
+t5:=-y*z*u-x*u*a+y+t
+--R 
+--R
+--R   (5)  - u y z + y - a u x + t
+--E 222
+
+--S 223
+t6:=x*y*z-x*y*v+x*t*v-y*z*w+z*u-u*v-z*a-v*a
+--R 
+--R
+--R   (6)  ((x - w)y + u - a)z - v x y + t v x + (- u - a)v
+--E 223
+
+--S 224
+t7:=x^2*z+x*y*z+x*t*u-y*t*u-x*t*a-x*w*a+z^2-a^2
+--R 
+--R
+--R         2           2                                     2
+--R   (7)  z  + (x y + x )z - t u y + (- a w + t u - a t)x - a
+--E 224
+
+--S 225
+t8:=x*y*t-x*y*w+x*t*w-y*t*w+x*z+z*t-y*v-v*w
+--R 
+--R
+--R   (8)  (x + t)z + ((- w + t)x - t w - v)y + t w x - v w
+--E 225
+
+--S 226
+t9:=-x*u+y*v-u*w+x*a
+--R 
+--R
+--R   (9)  v y + (- u + a)x - u w
+--E 226
+
+--S 227
+t10:=x*y-w^2
+--R 
+--R
+--R                2
+--R   (10)  x y - w
+--E 227
+
+--S 228
+t11:=-u^2*v+x^2+z
+--R 
+--R
+--R              2    2
+--R   (11)  z + x  - u v
+--E 228
+
+--S 229
+t12:=-y*u*v-y*v^2-u*v*w-v^2*w+y*v*a+u*w*a+x+t
+--R 
+--R
+--R             2                          2
+--R   (12)  (- v  + (- u + a)v)y + x + (- v  - u v + a u)w + t
+--E 229
+
+--S 230
+t13:=-z*u*v-u^2*a+u*a^2+y*w+a
+--R 
+--R
+--R                            2    2
+--R   (13)  - u v z + w y - a u  + a u + a
+--E 230
+
+--S 231
+t14:=-x*v^2-z*v*w-u*v*w+y*u*a+x*v*a+v*w*a
+--R 
+--R
+--R                               2
+--R   (14)  - v w z + a u y + (- v  + a v)x + (- u + a)v w
+--E 231
+
+--S 232
+t15:=y*z*u-t*u*v+x*u*a-u*w*a
+--R 
+--R
+--R   (15)  u y z + a u x - a u w - t u v
+--E 232
+
+--S 233
+t16:=y*t*u-y*u*w-t*v*w-v*w^2+x*w*a+y*w*a-v^2+a^2
+--R 
+--R
+--R                                          2            2    2
+--R   (16)  ((- u + a)w + t u)y + a w x - v w  - t v w - v  + a
+--E 233
+
+--S 234
+t17:=-x*z-t*u+y*v+u*w
+--R 
+--R
+--R   (17)  - x z + v y + u w - t u
+--E 234
+
+--S 235
+t18:=u^2*v-t*w-z
+--R 
+--R
+--R                      2
+--R   (18)  - z - t w + u v
+--E 235
+
+--S 236
+t19:=-y*z*v-y*u*v-t*v^2+y*v*a+t*v*a+u*w*a
+--R 
+--R
+--R                                             2
+--R   (19)  - v y z + (- u + a)v y + a u w - t v  + a t v
+--E 236
+
+--S 237
+t20:=-z*u^2+t*w+v
+--R 
+--R
+--R            2
+--R   (20)  - u z + t w + v
+--E 237
+
+--S 238
+t21:=x*z*u+x*z*v+z^2*w-x*z*a-t*u*a-z*w*a
+--R 
+--R
+--R            2
+--R   (21)  w z  + ((v + u - a)x - a w)z - a t u
+--E 238
+
+--S 239
+t22:=x*t*v-y*z*w+z*t*w-t*v*w+z*u-u*v-z*a+v*a
+--R 
+--R
+--R   (22)  (- w y + t w + u - a)z + t v x - t v w + (- u + a)v
+--E 239
+
+--S 240
+t23:=v^2-a^2
+--R 
+--R
+--R          2    2
+--R   (23)  v  - a
+--E 240
+
+--S 241
+t24:=y*u+u*w-y*a-w*a
+--R 
+--R
+--R   (24)  (u - a)y + (u - a)w
+--E 241
+
+--S 242
+t25:=z*w-y*a
+--R 
+--R
+--R   (25)  w z - a y
+--E 242
+
+--S 243
+t26:=-y^2+t*w
+--R 
+--R
+--R            2
+--R   (26)  - y  + t w
+--E 243
+
+--S 244
+t27:=-x*z+v*w-x*a+w*a
+--R 
+--R
+--R   (27)  - x z - a x + (v + a)w
+--E 244
+
+--S 245
+t28:=u^2*v-x*y-z
+--R 
+--R
+--R                      2
+--R   (28)  - z - x y + u v
+--E 245
+
+--S 246
+t29:=z*u*v+u^2*a-u*a^2-x*t-a
+--R 
+--R
+--R                          2    2
+--R   (29)  u v z - t x + a u  - a u - a
+--E 246
+
+--S 247
+t30:=t*u*v+u*w*a-y-t
+--R 
+--R
+--R   (30)  - y + a u w + t u v - t
+--E 247
+
+--S 248
+t31:=-x*z+y*u+t*u-y*a
+--R 
+--R
+--R   (31)  - x z + (u - a)y + t u
+--E 248
+
+@
+\section{Hunecke}
+Variables $x,y,z,t,u$
+<<*>>=
+)clear all
+
+--S 249
+t1:=-x^5-y^5-z^5+5*x*y*z*t*u-u^5
+--R 
+--R
+--R           5                 5    5    5
+--R   (1)  - z  + 5t u x y z - y  - x  - u
+--E 249
+
+--S 250
+t2:=x*y^3*z+y*z^3*t+x^3*y*u+z*t^3*u+z*t*u^3
+--R 
+--R
+--R             3       3      3    3         3
+--R   (2)  t y z  + (x y  + t u  + t u)z + u x y
+--E 250
+
+--S 251
+t3:=x^2*y*z^2+y^2*z*t^2+x^2*t^2*u+x*y^2*u^2+z^2*t*u^2
+--R 
+--R
+--R          2       2  2    2 2     2   2    2   2
+--R   (3)  (x y + t u )z  + t y z + u x y  + t u x
+--E 251
+
+--S 252
+t4:=x*y*z^5-y^4*z^2*t-2*x^2*y^2*z*t*u+x*z^3*t^2*u-x^4*t*u^2_
+    +y*z*t^2*u^3+x*y*u^5
+--R 
+--R
+--R             5    2     3      4 2            2 2    2 3       5         2 4
+--R   (4)  x y z  + t u x z  - t y z  + (- 2t u x y  + t u y)z + u x y - t u x
+--E 252
+
+--S 253
+t5:=x*y^2*z^4-y^5*z*t-x^2*y^3*t*u+2*x*y*z^2*t^2*u+x*t^4*u^2_
+    -x^2*y*z*u^3-z*t*u^5
+--R 
+--R
+--R           2 4     2       2         5    3 2       5          2 3    4 2
+--R   (5)  x y z  + 2t u x y z  + (- t y  - u x y - t u )z - t u x y  + t u x
+--E 253
+
+--S 254
+t6:=x^3*y^2*t-y*z^2*t^4+x*y^2*z^3*u-y^5*t*u-t^6*u+3*x*y*z*t^2*u^2_
+    -x^2*y*u^4-t*u^6
+--R 
+--R
+--R             2 3    4   2     2 2             5      3 2    4 2       6    6
+--R   (6)  u x y z  - t y z  + 3t u x y z - t u y  + t x y  - u x y - t u  - t u
+--E 254
+
+--S 255
+t7:=x^4*y^2*z-x*y*z^2*t^3-x*y^5*u-y^3*z^2*t*u-x*t^5*u_
+    +2*x^2*y*z*t*u^2+z*t^2*u^4
+--R 
+--R
+--R                3    3     2     4 2       2 2     2 4          5    5
+--R   (7)  (- t u y  - t x y)z  + (x y  + 2t u x y + t u )z - u x y  - t u x
+--E 255
+
+--S 256
+t8:=y^6*z+y*z^6+x^2*y^4*u-3*x*y^2*z^2*t*u+z^4*t^2*u-x^3*z*t*u^2_
+-x*y*t^3*u^3+y*z*u^5
+--R 
+--R
+--R           6    2   4           2 2     6    5       2 3        2 4    3 3
+--R   (8)  y z  + t u z  - 3t u x y z  + (y  + u y - t u x )z + u x y  - t u x y
+--E 256
+
+@
+\section{Laconcelli}
+Variables $a,b,c,d,e,f,g,h,k,l,m$
+<<*>>=
+)clear all
+
+--S 257
+t1:=a+b+c+d+e+f+g+h-1
+--R 
+--R
+--R   (1)  h + g + f + e + d + c + b + a - 1
+--E 257
+
+--S 258
+t2:=-a^2*k-2*a*b*k-b^2*k-a*c*k-b*c*k-a*d*k-b*d*k-a*e*k_
+    -b*e*k-c*e*k-d*e*k-a*f*k-b*f*k-c*f*k-d*f*k+a+b
+--R 
+--R
+--R   (2)
+--R                                                                              2
+--R         (- d - c - b - a)f + (- d - c - b - a)e + (- b - a)d + (- b - a)c - b
+--R       + 
+--R                   2
+--R         - 2a b - a
+--R    *
+--R       k
+--R   + 
+--R     b + a
+--E 258
+
+--S 259
+t3:=-a^2*l-a*b*l-a*c*l-a*d*l-a*e*l-b*e*l-c*e*l-d*e*l_
+    +a^2+2*a*b+b^2+a*e+b*e+a*f+b*f
+--R 
+--R
+--R   (3)
+--R                                              2                            2
+--R     ((- d - c - b - a)e - a d - a c - a b - a )l + (b + a)f + (b + a)e + b
+--R   + 
+--R             2
+--R     2a b + a
+--E 259
+
+--S 260
+t4:=a+c+e+g-m
+--R 
+--R
+--R   (4)  - m + g + e + c + a
+--E 260
+
+@ 
+\section{Morgenstern: articulated system (3 rods)}
+Variables $x,y,z,t,u,v,w,a,b$
+<<*>>=
+)clear all
+
+--S 261
+t1:=-y*z+x*t
+--R 
+--R
+--R   (1)  - y z + t x
+--E 261
+
+--S 262
+t2:=-y*u+x*v+y-v
+--R 
+--R
+--R   (2)  (- u + 1)y + v x - v
+--E 262
+
+--S 263
+t3:=z^2+t^2-w^2
+--R 
+--R
+--R         2    2    2
+--R   (3)  z  - w  + t
+--E 263
+
+--S 264
+t4:=u^2+v^2-a^2-2*u+1
+--R 
+--R
+--R         2    2         2
+--R   (4)  v  + u  - 2u - a  + 1
+--E 264
+
+--S 265
+t5:=z^2+t^2-2*z*u+u^2-2*t*v+v^2-b^2
+--R 
+--R
+--R         2           2           2    2    2
+--R   (5)  z  - 2u z + v  - 2t v + u  + t  - b
+--E 265
+
+@
+\section{Pavelle Macsyma}
+Variables $x,y,z,t,u,v,w,a$
+<<*>>=
+)clear all
+
+--S 266
+t1:=x*y+x*z+x*t-u^2
+--R 
+--R
+--R                           2
+--R   (1)  x z + x y + t x - u
+--E 266
+
+--S 267
+t2:=x*y+y*z+y*t-v^2
+--R 
+--R
+--R                          2
+--R   (2)  y z + (x + t)y - v
+--E 267
+
+--S 268
+t3:=x*z+y*z+z*t-w^2
+--R 
+--R
+--R                        2
+--R   (3)  (y + x + t)z - w
+--E 268
+
+--S 269
+t4:=x*t+y*t+z*t-a^2
+--R 
+--R
+--R                           2
+--R   (4)  t z + t y + t x - a
+--E 269
+
+@ 
+\section{Raksanyi}
+Variables $x,y,z,t,u,v,w,a$
+<<*>>=
+)clear all
+
+--S 270
+t1:=t+v-a
+--R 
+--R
+--R   (1)  v + t - a
+--E 270
+
+--S 271
+t2:=x+y+z+t-u-w-a
+--R 
+--R
+--R   (2)  z + y + x - w - u + t - a
+--E 271
+
+--S 272
+t3:=x*z+y*z+x*t+z*t-u*w-u*a-w*a
+--R 
+--R
+--R   (3)  (y + x + t)z + t x + (- u - a)w - a u
+--E 272
+
+--S 273
+t4:=x*z*t-u*w*a
+--R 
+--R
+--R   (4)  t x z - a u w
+--E 273
+
+@
+\section{Rose}
+Variables $x,y,z$
+<<*>>=
+
+--S 274
+t1:=y^4-20/7*x^2
+--R 
+--R
+--R         4   20  2
+--R   (5)  y  - -- x
+--R              7
+--E 274
+
+--S 275
+t2:=x^2*z^4 + 7/10*x*z^4 + 7/48*z^4 - 50/27*x^2 - 35/27*x - 49/216
+--R 
+--R
+--R          2    7      7  4   50  2   35      49
+--R   (6)  (x  + -- x + --)z  - -- x  - -- x - ---
+--R              10     48      27      27     216
+--E 275
+
+--S 276
+t3:=3/5*x^6*y^2*z + x^5*y^3 + 3/7*x^5*y^2*z + 7/5*x^4*y^3_
+   - 7/20*x^4*y*z^2 - 3/20*x^4*z^3 + 609/1000*x^3*y^3_
+   + 63/200*x^3*y^2*z - 77/125*x^3*y*z^2 - 21/50*x^3*z^3_
+   + 49/1250*x^2*y^3 + 147/2000*x^2*y^2*z - 23863/60000*x^2*y*z^2_
+   - 91/400*x^2*z^3 - 27391/800000*x*y^3 + 4137/800000*x*y^2*z_
+   - 1078/9375*x*y*z^2 - 5887/200000*x*z^3 - 1029/160000*y^3_
+   - 24353/1920000*y*z^2 - 343/128000*z^3
+--R 
+--R
+--R   (7)
+--R         3  4   21  3    91  2    5887        343   3
+--R     (- -- x  - -- x  - --- x  - ------ x - ------)z
+--R        20      50      400      200000     128000
+--R   + 
+--R         7  4    77  3   23863  2   1078      24353     2
+--R     (- -- x  - --- x  - ----- x  - ---- x - -------)y z
+--R        20      125      60000      9375     1920000
+--R   + 
+--R      3  6   3  5    63  3    147  2    4137     2
+--R     (- x  + - x  + --- x  + ---- x  + ------ x)y z
+--R      5      7      200      2000      800000
+--R   + 
+--R       5   7  4    609  3    49   2    27391      1029   3
+--R     (x  + - x  + ---- x  + ---- x  - ------ x - ------)y
+--R           5      1000      1250      800000     160000
+--E 276
+
+)spool 
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} D. Bini and B. Mourrain. Polynomials test suite. 1996.
+http://www-sop.inria.fr/saga/POL
+\end{thebibliography}
+\end{document}
